<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 * @since Twenty Eleven 1.0
 */
	
	?>
	
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<?php  $theme_style = get_option(get_theme_style); ?>
	<head>
		<LINK href="<?php echo get_template_directory_uri();?>/style/css<?php echo $theme_style; ?>/style.css" rel="stylesheet" type="text/css">
		<!--[if IE]>
		<LINK href="css/ie-fix.css" rel="stylesheet" type="text/css">
		<![endif]-->
		<link href='http://fonts.googleapis.com/css?family=Merienda+One' rel='stylesheet' type='text/css'>
		<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
	
<style>
<?php if($theme_style == 1 ) { ?>
	<?php $bimg = get_option(get_theme_backgroundimg1 );  ?>
	body {
		background: url(<?php echo $bimg; ?>) no-repeat center center fixed;
	}
<?php } ?>

<?php if($theme_style == 2 ) { ?>
	<?php $bcolor = get_option(get_theme_backgroundcolor2); ?>
	body {
		background-color: <?php echo $bcolor; ?>;
	}
<?php } ?>

<?php if($theme_style == 3 ) { ?>
	<?php	
		$bimg = get_option(get_theme_backgroundimg3); 
		$bcolor = get_option(get_theme_backgroundcolor3);  
	?>
	body {
		background: <?php echo $bcolor; ?> url(<?php echo $bimg; ?>) top repeat-x;
	}
<?php } ?>

<?php if($theme_style == 4 ) { ?>
	<?php $bcolor4 = get_option(get_theme_backgroundcolor4); ?>
	body {
		background-color: <?php echo $bcolor; ?>;
	}
<?php } ?>

<?php if($theme_style == 5 ) { ?>
	<?php 
		$bimg = get_option(get_theme_backgroundimg5); 
		$bcolor = get_option(get_theme_backgroundcolor5); 
	?>
	body {
		background: <?php echo $bcolor; ?> url(<?php echo $bimg; ?>) top repeat-x;
	}
<?php } ?>

<?php if($theme_style == 6 ) { ?>
	<?php	
		$bimg = get_option(get_theme_backgroundimg6); 
		$bcolor = get_option(get_theme_backgroundcolor6);
	?>
	body {
		background: <?php echo $bcolor; ?> url(<?php echo $bimg; ?>) top repeat-x;
	}
<?php } ?>

<?php if($theme_style == 7) { ?>
	<?php	
		$bimg = get_option(get_theme_backgroundimg7); 
		$bcolor = get_option(get_theme_backgroundcolor7);
	?>
	body {
		background: <?php echo $bcolor; ?> url(<?php echo $bimg; ?>) top repeat-x;
	}
<?php } ?>

<?php if($theme_style == 8 ) { ?>
	<?php	
		$bimg = get_option(get_theme_backgroundimg8); 
		$bcolor = get_option(get_theme_backgroundcolor8);
	?>
	body {
		background: <?php echo $bcolor; ?> url(<?php echo $bimg; ?>) no-repeat;
		background-position: center 220px;
	}
<?php } ?>

<?php if($theme_style == 9 ) { ?>
	<?php $bimg = get_option(get_theme_backgroundimg9 ); ?>
	body {
		background: url(<?php echo $bimg; ?>) no-repeat center center fixed;
	}
<?php } ?>



</style>

</head>

<body>
		<div id="contentinner">
         	<div id="inner">
            <h1><?php echo get_the_title(); ?></h1>
			
				<?php while ( have_posts() ) : the_post(); ?>

					<?php the_content(); ?>

				<?php endwhile; ?>
				
            </div><!-- end inner--><div style="clear:both"></div>
		
		  </div>
			
		
		<div id="footer">
			<?php include('footer.php'); ?>
		</div>
	</body>
</html>