<?php	
	/*
	Template Name: Style 3
	*/
	$theme_style = get_option(get_theme_style);
	$bimg = get_option(get_theme_backgroundimg3); 
	$bcolor = get_option(get_theme_backgroundcolor3); 
	
	$warning = get_option(get_theme_warning3);
	$theme_form = get_option(get_theme_form3);
?>
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<LINK href="<?php echo get_template_directory_uri();?>/style/css3/style.css" rel="stylesheet" type="text/css">
<style>
body {
	background: <?php echo $bcolor; ?> url(<?php echo $bimg; ?>) top repeat-x;
}
</style>

<script type="text/javascript" src="<?php echo get_template_directory_uri();?>/js/jquery-1.7.1.min.js"></script>
<script>
$(document).ready(function(){
	$('input[type="submit"]').val('');
	
	$('input[type="text"]').focus(function() {
	  var val = $(this).val();
	  if( val == "Enter Your Name") {
		$(this).val('');
	  }
	  if( val == "Enter Your Best Email") {
		$(this).val('');
	  }
	});
});
</script>
</head>

<body>
		<div id="header_wrapper">
			<div id="header">
			</div>
		</div>
		
		<div id="wrapper">		
			<div id="container" class="center_text">
			
				<div id="warning" class="italic">
					<span class="red bold">WARNING:</span> 
						<?php
								echo $warning;
							?>
				</div>
				
				<p id="focus_text">
					<?php
						$message = get_option(get_theme_message);
						echo $message;
					?>
				</p>
				
				<div class="container pady12">
					<div id="left_quote">
						<div class="top_quote"></div>
						<p>
							<?php
								$feedback3 = get_option(get_theme_feedback3);
								$name3 = get_option(get_theme_feedback3name);
								$web3 = get_option(get_theme_feedback3web);
								echo $feedback3;
							?>
						</p>
						<span class="critic_name bold">
							<?php echo $name3 ?>
						</span><br/>
						<span>
							<?php echo $web3; ?>
						</span>
						<div class="bot_quote"></div>
					</div>
					<div id="video_box">
						<div id="player">
							<?php
								$embedcode = get_option(get_embed_code3);
								echo $embedcode;
							?>
						</div>
					</div>
					<div id="right_quote">
						<div class="top_quote"></div>
						<p>
							<?php
								$feedback4 = get_option(get_theme_feedback4);
								$name4 = get_option(get_theme_feedback4name);
								$web4 = get_option(get_theme_feedback4web);
								echo $feedback4;
							?>
						</p>
						<span class="critic_name bold">
							<?php echo $name4 ?>
						</span><br/>
						<span>
							<?php echo $web4; ?>
						</span>
						<div class="bot_quote"></div>
					</div>
				</div>
				
				<div id="optin_bg">
					<div id="optin_box" class="container">
						<div id="enter_note" class="bold">Enter Your Name And Email To Receive Instant Access!</div>
					
						<?php echo $theme_form; ?>
						<div id="ddst" class="container"><span id="disclaimer2">Your info will not be shared or sold</span></div>
					</div>
				</div>
				
			</div>
			<div id="push"></div>
		</div>
		
		<div id="footer">
			<?php include('footer.php'); ?>
		</div>
	</body>