<?php
if(isset($_POST['act']))
{
	extract($_POST);
	$paged_traffic=new PagedTraffic();
	$results=false;
	if($act=='search')
	{
		$results=$paged_traffic->getSearchResults($search_keyword, $search_results, $service);
	}
	else if($act=='create-schedule')
	{
		$paged_traffic->createCampaign($_POST, $service);
		/* Now redirect to manage schedule page */
		redirect(add_query_arg('updated','true','admin.php?page=paged-traffic-manage-campaigns'));
		die;
	}
}
?>
<div class="wrap sfwrapper">
    <div id="icon-link-manager" class="icon32"><br/></div>
    <h2>Create Campaign</h2>
    <form name="<?php echo PAGED_TRAFFIC_PLUGIN_SLUG ?>-search" id="<?php echo PAGED_TRAFFIC_PLUGIN_SLUG ?>-search" method="post" action="" class="search-wrapper">
    	<input type="hidden" name="act" value="search">
        <!--input type="hidden" name="service" value="youtube-videos" /-->
		<table class="form-table">
        	<tbody>
            	<tr valign="top">
                	<th scope="row">
                    	<label for="search_keyword">Keyword</label>
                    </th>
                    <td>
                    	<input name="search_keyword" type="text" id="search_keyword" value="<?php echo @$search_keyword; ?>" class="regular-text">
                    </td>
                </tr>
                <tr valign="top">
                	<th scope="row">
                    	<label for="service">Service</label>
                    </th>
                    <td>
                    	<select name="service" id="service">
                        	<option <?php if(@$service=='youtube-videos'){echo 'selected'; } ?> value="youtube-videos">YouTube</option>
                            <option <?php if(@$service=='vimeo-videos'){echo 'selected'; } ?> value="vimeo-videos">Vimeo</option>
                        </select>
                    	<!--input name="search_results" type="text" id="search_results" value="<?php echo @$search_results; ?>" class="regular-text"-->
                    </td>
                </tr>
                <tr valign="top">
                	<th scope="row">
                    	<label for="search_results">Search Results</label>
                    </th>
                    <td>
                    	<select name="search_results" id="search_results">
                        	<option <?php if(@$search_results==2){echo 'selected'; } ?>>2</option>
                            <option <?php if(@$search_results==4){echo 'selected'; } ?>>4</option>
                            <option <?php if(@$search_results==8){echo 'selected'; } ?>>8</option>
                            <option <?php if(@$search_results==16){echo 'selected'; } ?>>16</option>
                            <option <?php if(@$search_results==32){echo 'selected'; } ?>>32</option>
                        </select>
                    	<!--input name="search_results" type="text" id="search_results" value="<?php echo @$search_results; ?>" class="regular-text"-->
                    </td>
                </tr>
                <tr valign="top">
                	<th scope="row">&nbsp;
                    	
                    </th>
                    <td>
                        <input name="search" type="submit" id="search" value="Search" class="sfbutton orange medium">
                    </td>
                </tr>
            </tbody>
        </table>
    </form>
    <?php
	if(isset($act))
	{
		?>
        <div class="search-wrapper">
        <form name="<?php echo PAGED_TRAFFIC_PLUGIN_SLUG ?>-create-schedule" id="<?php echo PAGED_TRAFFIC_PLUGIN_SLUG ?>-create-schedule" method="post" action="">
            <input type="hidden" name="act" value="create-schedule">
            <input type="hidden" name="service" value="<?php echo $service; ?>">
        <?php
		if($results)
		{
			?>
            <table class="form-table" style="margin-bottom:5px;">
                <tbody>
                    <tr valign="top">
                        <th scope="row">
                            <label for="campaign_name">Campaign Name</label>
                        </th>
                        <td>
                            <input name="campaign_name" type="text" id="campaign_name" value="<?php echo @$search_keyword; ?>" class="regular-text"> 
                        </td>
                    </tr>
                    <tr valign="top">
                        <th scope="row">
                            <label for="enable_content_linking">Enable content linking</label>
                        </th>
                        <td>
                            <input name="enable_content_linking" checked="checked" class="autopilot-iphone-checkbox" type="checkbox" id="enable_content_linking" value="yes" /> 
                        </td>
                    </tr>
                    <tr valign="top">
                        <th scope="row">&nbsp;
                            
                        </th>
                        <td>
                            <input name="save_schedule" type="submit" id="save_schedule" value="Create Campaign" class="sfbutton orange medium">
                        </td>
                    </tr>
                </tbody>
            </table>
            <?php
			echo $results;
		}
		else
		{
			echo 'No Result Found...';
		}
		?>
        <br class="autopilot-clear" />
        </form>
        </div>
        <?php
	}
	?>
</div>
<div id="post_preview_holder" style="display:none;">
	<div class="post_content">
    	Content goes here
    </div>
</div>
