<?php
include_once(ABSPATH . WPINC . '/feed.php');

class PagedTraffic
{
	protected $paged_traffic_campaign_table;
	protected $paged_traffic_campaign_details_table;
	protected $paged_traffic_accounts_table;
	protected $paged_traffic_db_version;
	
	protected $paged_traffic_vimeo_consumer_key;
	protected $paged_traffic_vimeo_consumer_secret;
	
	protected $paged_traffic_statusnet_accounts;
	
	public function __construct()
	{
		global $wpdb;
		$this->paged_traffic_campaign_table					=	$wpdb->prefix.'paged_traffic_campaign';
		$this->paged_traffic_campaign_details_table			=	$wpdb->prefix.'paged_traffic_campaign_detail';
		$this->paged_traffic_accounts_table					=	$wpdb->prefix.'paged_traffic_accounts';
		$this->paged_traffic_db_version						=	'1.0';
		
		$this->paged_traffic_vimeo_consumer_key				=	'b060872768fde38f2f3bcbe5002c57fb7f58a41d';
		$this->paged_traffic_vimeo_consumer_secret			=	'8d5c38087edd00bb92a607600eee337157ddfdb1';
		
		/*$this->paged_traffic_statusnet_accounts	=	array( 
															array(	
																	'account-name'		=>	'mshouts.com', 
																	'api-url'		=>	'http://mshouts.com/api',
																	'signup-url'	=>	'http://mshouts.com/'
																),
															array(
																	'account-name'		=>	'identi.ca', 
																	'api-url'		=>	'http://identi.ca/api',
																	'signup-url'	=>	'http://identi.ca/'
																),
															array(
																	'account-name'		=>	'freesocial.org', 
																	'api-url'		=>	'https://freesocial.org/api',
																	'signup-url'	=>	'https://freesocial.org/'
																),
															array(
																	'account-name'		=>	'inmacbook.net', 
																	'api-url'		=>	'http://www.inmacbook.net/book/api',
																	'signup-url'	=>	'http://www.inmacbook.net/book/'
																),
															array(
																	'account-name'		=>	'twurb.com', 
																	'api-url'		=>	'http://twurb.com/twurb/api',
																	'signup-url'	=>	'http://twurb.com/twurb/'
																),
															array(
																	'account-name'		=>	'friends-hood.com', 
																	'api-url'		=>	'http://friends-hood.com/api',
																	'signup-url'	=>	'http://friends-hood.com/'
																),
															array(
																	'account-name'		=>	'micro.parslow.net', 
																	'api-url'		=>	'http://micro.parslow.net/index.php/api',
																	'signup-url'	=>	'http://micro.parslow.net/'
																),
															array(
																	'account-name'		=>	'dev.marcelo-mazza.com.ar', 
																	'api-url'		=>	'http://dev.marcelo-mazza.com.ar/statusnet/api',
																	'signup-url'	=>	'http://dev.marcelo-mazza.com.ar/statusnet/'
																),
															array(
																	'account-name'		=>	'fcg-media.com', 
																	'api-url'		=>	'http://fcg-media.com/team/index.php/api',
																	'signup-url'	=>	'http://fcg-media.com/team/'
																),
															array(
																	'account-name'		=>	'quitter.se', 
																	'api-url'		=>	'http://quitter.se/api',
																	'signup-url'	=>	'http://quitter.se/'
																),
															array(
																	'account-name'		=>	'a-against.com', 
																	'api-url'		=>	'http://www.a-against.com/alerts/api',
																	'signup-url'	=>	'http://www.a-against.com/alerts/'
																),
															array(
																	'account-name'		=>	'fctabuja.com', 
																	'api-url'		=>	'http://www.fctabuja.com/status/index.php/api',
																	'signup-url'	=>	'http://www.fctabuja.com/status/'
																),
															array(	'account-name'		=>	'jandc.idv.tw', 
																	'api-url'		=>	'http://www.jandc.idv.tw/microblog/index.php/api',
																	'signup-url'	=>	'http://www.jandc.idv.tw/microblog/'
																),
																	
															array(
																	'account-name'		=>	'pepperlab.com', 
																	'api-url'		=>	'http://www.pepperlab.com/statusnet/index.php/api',
																	'signup-url'	=>	'http://www.pepperlab.com/statusnet/'
																),
															array(
																	'account-name'	=>	'republicmodernmedia.com', 
																	'api-url'	=>	'http://republicmodernmedia.com/statusnet/index.php/api',
																	'signup-url'	=>	'http://republicmodernmedia.com/statusnet/'
																)
														);*/
		$this->paged_traffic_statusnet_accounts	= array(
														array(
																	'account-name'		=>	'identi.ca', 
																	'api-url'		=>	'http://identi.ca/api',
																	'signup-url'	=>	'http://identi.ca/'
																),
														array(
																	'account-name'		=>	'friends-hood.com', 
																	'api-url'		=>	'http://friends-hood.com/api',
																	'signup-url'	=>	'http://friends-hood.com/'
																),
													);
	}
	
	public function getStatusnetAccounts()
	{
		return $this->paged_traffic_statusnet_accounts;
	}
	
	public function getCampaignTableName()
	{
		return $this->paged_traffic_campaign_table;
	}
	public function getCampaignDetailsTableName()
	{
		return $this->paged_traffic_campaign_details_table;
	}
	public function getPagedTrafficAccountsTableName()
	{
		return $this->paged_traffic_accounts_table;
	}
	public function getPagedTrafficDBVersion()
	{
		return $this->paged_traffic_db_version;
	}
	public function getAccountDetails($account_name)
	{
		global $wpdb;
		$sql="select * from {$this->paged_traffic_accounts_table} where account_name='{$account_name}'";
		$row=$wpdb->get_row($sql);
		$result=array('account_type'=>'', 'account_params'=>'');
		if($row)
		{
			$result['account_type']=$row->account_type;
			$result['account_params']=unserialize(base64_decode($row->account_params));
		}
		return $result;
	}
	public function saveStatusnetAccounts($account_name, $username, $password)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->paged_traffic_accounts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('username' => $username, 'password' => $password);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->paged_traffic_accounts_table} (account_name, account_type, account_params) values ('{$account_name}', 'statusnet', '{$param}')";
		$wpdb->query($sql);
		
		return true;
		
	}
	public function saveBitlyAccount($account_name, $login, $api_key)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->paged_traffic_accounts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('login' => $login, 'api_key' => $api_key);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->paged_traffic_accounts_table} (account_name, account_type, account_params) values ('{$account_name}', 'bitly', '{$param}')";
		$wpdb->query($sql);
		
		return true;
		
	}
	public function saveFriendfeedDetails($account_name, $username, $remote_key)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->paged_traffic_accounts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('username' => $username, 'remote_key' => $remote_key);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->paged_traffic_accounts_table} (account_name, account_type, account_params) values ('{$account_name}', 'friendfeed', '{$param}')";
		$wpdb->query($sql);
		
		return true;
		
	}
	public function saveWordpressDetails($account_name, $username, $password, $blog_prefix)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->paged_traffic_accounts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('username' => $username, 'password' => $password, 'blog_prefix'=>$blog_prefix);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->paged_traffic_accounts_table} (account_name, account_type, account_params) values ('{$account_name}', 'wordpress', '{$param}')";
		$wpdb->query($sql);
		
		return true;
		
	}
	public function saveBlogDetails($account_name, $username, $password, $blog_prefix)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->paged_traffic_accounts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('username' => $username, 'password' => $password, 'blog_prefix'=>$blog_prefix);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->paged_traffic_accounts_table} (account_name, account_type, account_params) values ('{$account_name}', 'blog', '{$param}')";
		$wpdb->query($sql);
		
		return true;
		
	}
	public function savePlurkDetails($account_name, $username, $password)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->paged_traffic_accounts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('username' => $username, 'password' => $password);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->paged_traffic_accounts_table} (account_name, account_type, account_params) values ('{$account_name}', 'plurk', '{$param}')";
		$wpdb->query($sql);
		
		return true;
		
	}
	public function saveBloggerDetails($account_name, $user_email, $password, $blog_id)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->paged_traffic_accounts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('user_email' => $user_email, 'password' => $password, 'blog_id' => $blog_id);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->paged_traffic_accounts_table} (account_name, account_type, account_params) values ('{$account_name}', 'blogger', '{$param}')";
		$wpdb->query($sql);
		
		return true;
		
	}
	public function saveTypepadDetails($account_name, $user_email, $password, $blog_id)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->paged_traffic_accounts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('user_email' => $user_email, 'password' => $password, 'blog_id' => $blog_id);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->paged_traffic_accounts_table} (account_name, account_type, account_params) values ('{$account_name}', 'typepad', '{$param}')";
		$wpdb->query($sql);
		
		return true;
		
	}
	public function saveLivejournalDetails($account_name, $username, $password)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->paged_traffic_accounts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('username' => $username, 'password' => $password);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->paged_traffic_accounts_table} (account_name, account_type, account_params) values ('{$account_name}', 'livejournal', '{$param}')";
		$wpdb->query($sql);
		
		return true;
		
	}
	public function saveDeliciousDetails($account_name, $username, $password)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->paged_traffic_accounts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('username' => $username, 'password' => $password);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->paged_traffic_accounts_table} (account_name, account_type, account_params) values ('{$account_name}', 'delicious', '{$param}')";
		$wpdb->query($sql);
		
		return true;
		
	}
	public function savePosterousDetails($account_name, $user_email, $password, $website_prefix)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->paged_traffic_accounts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('user_email' => $user_email, 'password' => $password, 'website_prefix' => $website_prefix);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->paged_traffic_accounts_table} (account_name, account_type, account_params) values ('{$account_name}', 'posterous', '{$param}')";
		$wpdb->query($sql);
		
		return true;
		
	}
	public function saveFacebookAppDetails($account_name, $app_id, $app_secret)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->paged_traffic_accounts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('app_id' => $app_id, 'app_secret' => $app_secret);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->paged_traffic_accounts_table} (account_name, account_type, account_params) values ('{$account_name}', 'facebook-application', '{$param}')";
		$wpdb->query($sql);
		
		return true;
	}
	public function saveFeedaggDetails($account_name, $user_name)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->paged_traffic_accounts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('user_name' => $user_name);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->paged_traffic_accounts_table} (account_name, account_type, account_params) values ('{$account_name}', 'feedagg', '{$param}')";
		$wpdb->query($sql);
		
		return true;
	}
	public function saveFacebookAccountDetails($account_name, $user_id, $user_screen_name, $access_token)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->paged_traffic_accounts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('user_id' => $user_id, 'user_screen_name' => $user_screen_name, 'access_token' => $access_token);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->paged_traffic_accounts_table} (account_name, account_type, account_params) values ('{$account_name}', 'facebook-account', '{$param}')";
		$wpdb->query($sql);
		
		return true;
	}
	public function saveTwitterAccountDetails($account_name, $user_id, $user_screen_name, $access_token, $access_secret)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->paged_traffic_accounts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('user_id' => $user_id, 'user_screen_name' => $user_screen_name, 'access_token' => $access_token, 'access_secret' => $access_secret);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->paged_traffic_accounts_table} (account_name, account_type, account_params) values ('{$account_name}', 'twitter-account', '{$param}')";
		$wpdb->query($sql);
		
		return true;
	}
	public function saveLinkedinAccountDetails($account_name, $user_id, $user_screen_name, $access_token, $access_secret)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->paged_traffic_accounts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('user_id' => $user_id, 'user_screen_name' => $user_screen_name, 'access_token' => $access_token, 'access_secret' => $access_secret);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->paged_traffic_accounts_table} (account_name, account_type, account_params) values ('{$account_name}', 'linkedin-account', '{$param}')";
		$wpdb->query($sql);
		
		return true;
	}
	public function getCampaigns()
	{
		global $wpdb;
		$sql="select * from {$this->paged_traffic_campaign_table}";
		return $wpdb->get_results($sql);
	}
	public function getCampaignDetails($campaign_id)
	{
		global $wpdb;
		$sql="select * from {$this->paged_traffic_campaign_details_table} where campaign_id='{$campaign_id}'";
		return $wpdb->get_results($sql);
	}
	public function removeCampaignPost($post_id)
	{
		global $wpdb;
		wp_delete_post($post_id);
		$sql="delete from {$this->paged_traffic_campaign_details_table} where post_id='{$post_id}'";
		$wpdb->query($sql);
		return true;
	}
	public function search($array, $key, $value)
	{
		$results = array();
		if (is_array($array))
		{
			if (isset($array[$key]) && $array[$key] == $value)
				$results[] = $array;
			foreach ($array as $subarray)
				$results = array_merge($results, $this->search($subarray, $key, $value));
		}
		return $results;
	}
	public function removeCampaign($campaign_id)
	{
		global $wpdb;
		/* Remove only scheduled posts */
		$sql="select * from {$this->paged_traffic_campaign_details_table} where campaign_id='{$campaign_id}'";
		$scheduled_posts = $wpdb->get_results($sql);
		if(count($scheduled_posts>0))
		{
			foreach($scheduled_posts as $post)
			{
				$post_id=$post->post_id;
				/* Fetch post details */
				$post_details = get_post( $post_id );
				if($post_details->post_status=='future')
				{
					/* Remove this post */
					wp_delete_post($post_id);
				}
				
			}
		}
		/* Remove data from schedule details table */
		$sql="delete from {$this->paged_traffic_campaign_details_table} where campaign_id='{$campaign_id}'";
		$wpdb->query($sql);
		/* Remove data from schedule table */
		$sql="delete from {$this->paged_traffic_campaign_table} where id='{$campaign_id}'";
		$wpdb->query($sql);
		return true;
	}
	public function createCampaign($data, $service)
	{
		//print_r($data);
		
		global $wpdb;
		
		$campaign_name			=	$data['campaign_name'];
		
		$video_urls				=	$data['video_url'];
		
		$video_thumbnails		=	$data['video_thumbnail'];
		$schedule_dates			=	$data['schedule_date'];
		$schedule_time_hours	=	$data['schedule_time_hours'];
		$schedule_time_minites	=	$data['schedule_time_minites'];
		$enable_videos			=	@$data['enable_video'];
		$text_titles			=	$data['text_title'];
		$text_texts				=	$data['text_text'];
		$text_tags				=	$data['text_tag'];
		$text_anchors			=	$data['text_anchor'];
		
		$text_poss				=	$data['text_pos'];
		$share_posts			=	@$data['share_post'];
		$post_category			=	@$data['post_category'];
		
		$enable_content_linking	=	false;
		
		if(isset($data['enable_content_linking']))
		{
			$enable_content_linking	=	true;
		}
		
		/* First save the schedule */
		$sql="insert into {$this->paged_traffic_campaign_table} (campaign_name, campaign_created_on, campaign_enable) values('{$campaign_name}', '".date('Y-m-d H:i:s',current_time( 'timestamp' ))."',  'yes')";
		$wpdb->query($sql);
		
		$campaign_id=$wpdb->insert_id;
		$post_id_array=array();
		
		if(count($video_urls)>0)
		{
			//for($i=0; $i<count($video_urls);$i++)
			foreach($video_urls as $i=>$val)
			{
				$video_url				=	$video_urls[$i];
				$video_thumbnail		=	$video_thumbnails[$i];
				$schedule_date			=	$schedule_dates[$i];
				$schedule_time_hour		=	$schedule_time_hours[$i];
				$schedule_time_minite	=	$schedule_time_minites[$i];
				//$enable_video			=	$enable_videos[$i];
				$text_title				=	$text_titles[$i];
				$text_text				=	$text_texts[$i];
				$text_tag				=	$text_tags[$i];
				
				$text_anchor			=	$text_anchors[$i];
				
				$text_pos				=	$text_poss[$i];
				
				$catgories				=	$post_category[$i];
				$post_cat					=	array();
				if(count($catgories)>0)
				{
					foreach($catgories as $cat)
					{
						$post_cat[]	=	$cat;
					}
				}
				
				$share_post				=	'no';
				if(isset($share_posts[$i]))
				{
					$share_post		=	'yes';
				}
				$post_status			=	'draft';
				
				$schedule				=	date('Y-m-d H:i:s', strtotime($schedule_date.' '.$schedule_time_hour.':'.$schedule_time_minite.":00"));

				if(isset($enable_videos[$i]))
				{
					$post_status		=	'future';
				}
				
				$schedule_offset		=	get_option( 'gmt_offset' ) * 3600;
				
				$post_content='';

				
				
				
				switch($service)
				{
					case 'youtube-videos':
						preg_match('/[\\?\\&]v=([^\\?\\&]+)/',$video_url,$matches);
						$embed_code = '<object width="425" height="350" data="http://www.youtube.com/v/'.$matches[1].'" type="application/x-shockwave-flash"><param name="src" value="http://www.youtube.com/v/'.$matches[1].'" /></object>';
					break;
					case 'vimeo-videos':
						preg_match('/(\d+)/',$video_url,$matches);
						$embed_code = '<object width="410" height="350"><param name="allowfullscreen" value="true" /><param name="allowscriptaccess" value="always" /><param name="movie" value="http://vimeo.com/moogaloop.swf?clip_id='.$matches[0].'&amp;force_embed=1&amp;server=vimeo.com&amp;show_title=0&amp;show_byline=0&amp;show_portrait=0&amp;color=00adef&amp;fullscreen=1&amp;autoplay=0&amp;loop=0" /><embed src="http://vimeo.com/moogaloop.swf?clip_id='.$matches[0].'&amp;force_embed=1&amp;server=vimeo.com&amp;show_title=0&amp;show_byline=0&amp;show_portrait=0&amp;color=00adef&amp;fullscreen=1&amp;autoplay=0&amp;loop=0" type="application/x-shockwave-flash" allowfullscreen="true" allowscriptaccess="always" width="410" height="350"></embed></object>';
					break;
				}
				
				if($text_pos=='top')
				{
					$post_content='<div>'.$text_text.'</div><div>'.$embed_code.'</div>';
				}
				else
				{
					$post_content='<div>'.$embed_code.'</div><div>'.$text_text.'</div>';
				}
				
				$post_data				=	array(
											'post_content'	=>	$post_content,
											'post_title'	=>	$text_title,
											'post_type'		=>	'post',
											'tags_input'	=>	$text_tag,
											'post_status'	=>	$post_status,
											'post_date'		=>	$schedule,
											'post_category'	=>	$post_cat
											);
				/* Create post and get its id */
				//print_r($post_data);die;
				$post_id				=	wp_insert_post( $post_data );
				$post_id_array[]		=	array('post_id'=>$post_id, 'status'=> $post_status, 'publish_date'=>$schedule);
				/* Create meta data for anchor text */
				add_post_meta($post_id, PAGED_TRAFFIC_PLUGIN_SLUG.'_anchor_text', $text_anchor,true) or update_post_meta($post_id, PAGED_TRAFFIC_PLUGIN_SLUG.'_anchor_text', $text_anchor);
				add_post_meta($post_id, PAGED_TRAFFIC_PLUGIN_SLUG.'_share_post', $share_post,true) or update_post_meta($post_id, PAGED_TRAFFIC_PLUGIN_SLUG.'_share_post', $share_post);
				
				
				/* Now make entry in schedule detail table */
				$sql="insert into {$this->paged_traffic_campaign_details_table} (campaign_id, post_id, video_thumbnail, share_post, anchor_text) values('{$campaign_id}','{$post_id}', '{$video_thumbnail}', '{$share_post}', '{$text_anchor}')";
				$wpdb->query($sql);
			}
			/* Now test if content linking is enabled */
			if($enable_content_linking)
			{
				/* We cant interlink single post :p */
				if(count($post_id_array)>1)
				{
					$post_id_array_temp = $post_id_array;
					foreach($post_id_array as $link_post)
					{
						/* Available linkable posts */
						$avaiable_posts = array();
						foreach($post_id_array_temp as $temp_post)
						{
							if(($temp_post['status'] == 'future') && ($temp_post['post_id'] != $link_post['post_id']))
							{
								if(strtotime($temp_post['publish_date']) >= strtotime($link_post['publish_date']))
								{
									$avaiable_posts[] = $temp_post['post_id'];
								}
							}
						}
						if(count($avaiable_posts) > 0)
						{
							/* Now lets fetch link post data */
							$post_details = get_post( $link_post['post_id'] );
							$tags=wp_get_post_tags( $post_details->ID );
							
							$random_post_id = $avaiable_posts[array_rand($avaiable_posts)];
							
							$cross_link = get_permalink($random_post_id);
							
							$post_content = $post_details->post_content;
							$post_content = apply_filters('the_content', $post_content);
							$replacement_count = 0;
							
							if($tags)
							{
								/* We have tags we can link the post */
								foreach($tags as $tag)
								{
									$keyword = $tag->name;
									$pattern = '#(?<=[^a-z0-9])('.$keyword.')(?=[^a-z0-9])(?=[^>]*<)(?!.*?</a>)#i';
									$replacement = '<a href="'.$cross_link.'">'.$keyword.'</a>';
									$post_content = preg_replace($pattern,$replacement,$post_content,1, $replacement_count);
									if($replacement_count > 0 )
									{
										break;
									}
								}
							}
							if($replacement_count>0)
							{
								/* Now save this post */
								$post_data	=	array(
											'ID'			=>	$post_details->ID,
											'post_content'	=>	$post_content,
											'post_title'	=>	$post_details->post_title,
											'post_type'		=>	'post',
											'post_status'	=>	$post_details->post_status

											);
								/* Save post*/
								//print_r($post_data);die;
								wp_insert_post( $post_data );
								//break;
							}
							
						}
					}
					
				}
			}
		}
		return true;

	}
	public function getSearchResults($search_keyword, $search_results, $service)
	{
		
		$data=false;
		/* Fetch all categories */
		$args=array(
			  'orderby' => 'name',
			  'order' => 'ASC',
			  'hide_empty' => 0
			  );
		$wp_categories = get_categories($args);
		/* Get search results */
		switch($service)
		{
			case 'vimeo-videos':
				$data='';
				try
				{
				$vimeo = new phpVimeo($this->paged_traffic_vimeo_consumer_key, $this->paged_traffic_vimeo_consumer_secret);
				//$vimeo->enableCache(phpVimeo::CACHE_FILE, '', 300);
				$vimeo_data = $vimeo->call('vimeo.videos.search', array('per_page' => $search_results, 'full_response' => true,'sort'=>'relevant', 'query' =>$search_keyword ));
				if(count($vimeo_data->videos->video)>0)
				{
					$control_count=0;
					foreach($vimeo_data->videos->video as $video)
					{
						$result = preg_match('/(\d+)/', $video->urls->url[0]->_content, $matches);
						$vimeo_video_id = $matches[0];
						//print_r($video);die;
						$data.='<div class="search-result-wrapper">';
						$data.='<span class="search-result-remove">Remove</span>';
						$data.='<div class="search-result-title">'.substr($video->title,0,60).'</div>';
						$data.='<div class="search-top-wrapper">';
						$data.='<div class="search-result-image"><img src="'. $video->thumbnails->thumbnail[0]->_content.'" />
						<input type="hidden" id="video_url_'.$control_count.'" name="video_url['.$control_count.']" value="'.$video->urls->url[0]->_content.'" />
						<input type="hidden" id="video_thumbnail_'.$control_count.'" name="video_thumbnail['.$control_count.']" value="'.$video->thumbnails->thumbnail[0]->_content.'" />
						<input type="hidden" id="schedule_date_'.$control_count.'" name="schedule_date['.$control_count.']" value="'.date('Y-m-d').'" />
						<label class="stylize">Publish Time</label>
						<select id="schedule_time_hours_'.$control_count.'" name="schedule_time_hours['.$control_count.']" ><option>00</option><option>01</option><option>02</option><option>03</option><option>04</option><option>05</option><option>06</option><option>07</option><option selected>08</option><option>09</option><option>10</option><option>11</option><option>12</option><option>13</option><option>14</option><option>15</option><option>16</option><option>17</option><option>18</option><option>19</option><option>20</option><option>21</option><option>22</option><option>23</option></select> 
						<select id="schedule_time_minites_'.$control_count.'" name="schedule_time_minites['.$control_count.']" ><option>00</option><option>10</option><option>20</option><option>30</option><option>40</option><option>50</option></select>
						</div>';
						$data.='<div id="search-result-schedule_'.$control_count.'" data-id="'.$control_count.'" class="search-result-schedule"></div>';
						$data.='<div class="search-result-schedule-params">
						<label for="enable_video_'.$control_count.'" class="stylize" style="margin-top: 0;">Publish  Post</label>
						<input type="checkbox" id="enable_video_'.$control_count.'" name="enable_video['.$control_count.']" class="autopilot-iphone-checkbox" checked="checked" value="yes" />
						
						<label for="share_post_'.$control_count.'" class="stylize" >Share Post</label>
						<input type="checkbox" id="share_post_'.$control_count.'" name="share_post['.$control_count.']" class="autopilot-iphone-checkbox" checked="checked" value="yes" />
						<a class="paged_traffic_post_vimeo_preview" data-id="'.$control_count.'">Preview</a>
						</div>';
						$data.='<br class="autopilot-clear" />';
						$data.='</div>';
						$data.='<div class="search-result-controls">';
						
						$data.='<div class="search-result-control">';
						$data.='<label for="text_title_'.$control_count.'" class="stylize">Title</label>';
						$data.='<input type="text" id="text_title_'.$control_count.'" name="text_title['.$control_count.']" value="'.$video->title.'" />';
						$data.='</div>';
						
						$data.='<div class="search-result-control">';
						$data.='<label for="text_text_'.$control_count.'" class="stylize">Text</label>';
						$data.='<textarea id="text_text_'.$control_count.'" name="text_text['.$control_count.']" class="video_editor">'.$video->description.'</textarea>';
						$data.='</div>';
						
						$data.='<div class="search-result-control">';
						$data.='<label for="text_tag_'.$control_count.'" class="stylize">Tags</label>';
						$data.='<input type="text" id="text_tag_'.$control_count.'" name="text_tag['.$control_count.']" value="'.'" />';
						$data.='</div>';
						
						$data.='<div class="search-result-control">';
						$data.='<label for="text_anchor_'.$control_count.'" class="stylize">Anchor Text</label>';
						$data.='<input type="text" id="text_anchor_'.$control_count.'" name="text_anchor['.$control_count.']" value="Read More" />';
						$data.='</div>';
						
						$data.='<div class="search-result-control">';
						$data.='<label for="text_pos_'.$control_count.'" class="stylize">Content Position</label>';
						$data.='<select id="text_pos_'.$control_count.'" name="text_pos['.$control_count.']">
						<option value="top">Top</option>
						<option value="bottom">Bottom</option>
						</select>
						';
						$data.='</div>';
						
						$data.='<div class="search-result-control category-wrapper">';
						$data.='<label for="" class="stylize">Categories</label>';
						foreach($wp_categories as $cat)
						{
							$data.='<div class="category"><input type="checkbox" id="post_category_'.$control_count.'_'.$cat->cat_ID.'" name="post_category['.$control_count.']['.$cat->cat_ID.']" value="'.$cat->cat_ID.'"> '.$cat->cat_name.'</div>';
						}
						$data.='</div>';
						
						/*$data.='<div class="search-result-control">';
						$data.='<label for="share_post_'.$control_count.'" class="stylize">Share</label>';
						$data.='<select id="share_post_'.$control_count.'" name="share_post['.$control_count.']">
						<option value="no">No</option>
						<option value="yes">Yes</option>
						</select>
						';
						$data.='</div>';*/
						
						$data.='</div>';
						$data.='</div>';
						$control_count++;
					}
				}
				else
				{
					$data="";
				}
				}
				catch(Exception $ex)
				{
					$data="";
				}
			break;
			case 'youtube-videos':
				/* YouTube Search URL */
				$search_url="http://gdata.youtube.com/feeds/api/videos?q=".rawurlencode($search_keyword)."&orderby=relevance&start-index=1&max-results={$search_results}&v=2";
				/* Now fetch Data */
				$search_result = fetch_feed( $search_url );
				if(!is_wp_error( $search_result ))
				{
					$data='';
					$maxitems = $search_result->get_item_quantity($search_results);
					$search_items = $search_result->get_items(0, $maxitems);
					if($maxitems==0)
					{
						$data="";
					}
					else
					{
						//print_r($wp_categories);

						$control_count=0;
						foreach ( $search_items as $item )
						{
							//print_r($item);
							$enclosure = $item->get_enclosure();
							$data.='<div class="search-result-wrapper">';
							$data.='<span class="search-result-remove">Remove</span>';
							$data.='<div class="search-result-title">'.substr($item->get_title(),0,60).'</div>';
							$data.='<div class="search-top-wrapper">';
							$data.='<div class="search-result-image"><img src="'. $enclosure->get_thumbnail().'" />
							<input type="hidden" id="video_url_'.$control_count.'" name="video_url['.$control_count.']" value="'.$item->get_permalink().'" />
							<input type="hidden" id="video_thumbnail_'.$control_count.'" name="video_thumbnail['.$control_count.']" value="'.$enclosure->get_thumbnail().'" />
							<input type="hidden" id="schedule_date_'.$control_count.'" name="schedule_date['.$control_count.']" value="'.date('Y-m-d').'" />
							<label class="stylize">Publish Time</label>
							<select id="schedule_time_hours_'.$control_count.'" name="schedule_time_hours['.$control_count.']" ><option>00</option><option>01</option><option>02</option><option>03</option><option>04</option><option>05</option><option>06</option><option>07</option><option selected>08</option><option>09</option><option>10</option><option>11</option><option>12</option><option>13</option><option>14</option><option>15</option><option>16</option><option>17</option><option>18</option><option>19</option><option>20</option><option>21</option><option>22</option><option>23</option></select> 
							<select id="schedule_time_minites_'.$control_count.'" name="schedule_time_minites['.$control_count.']" ><option>00</option><option>10</option><option>20</option><option>30</option><option>40</option><option>50</option></select>
							</div>';
							$data.='<div id="search-result-schedule_'.$control_count.'" data-id="'.$control_count.'" class="search-result-schedule"></div>';
							$data.='<div class="search-result-schedule-params">
							<label for="enable_video_'.$control_count.'" class="stylize" style="margin-top: 0;">Publish  Post</label>
							<input type="checkbox" id="enable_video_'.$control_count.'" name="enable_video['.$control_count.']" class="autopilot-iphone-checkbox" checked="checked" value="yes" />
							
							<label for="share_post_'.$control_count.'" class="stylize" >Share Post</label>
							<input type="checkbox" id="share_post_'.$control_count.'" name="share_post['.$control_count.']" class="autopilot-iphone-checkbox" checked="checked" value="yes" />
							<a class="paged_traffic_post_preview" data-id="'.$control_count.'">Preview</a>
							</div>';
							$data.='<br class="autopilot-clear" />';
							$data.='</div>';
							$data.='<div class="search-result-controls">';
							
							$data.='<div class="search-result-control">';
							$data.='<label for="text_title_'.$control_count.'" class="stylize">Title</label>';
							$data.='<input type="text" id="text_title_'.$control_count.'" name="text_title['.$control_count.']" value="'.$item->get_title().'" />';
							$data.='</div>';
							
							$data.='<div class="search-result-control">';
							$data.='<label for="text_text_'.$control_count.'" class="stylize">Text</label>';
							$data.='<textarea id="text_text_'.$control_count.'" name="text_text['.$control_count.']" class="video_editor">'.$item->get_description().'</textarea>';
							$data.='</div>';
							
							$data.='<div class="search-result-control">';
							$data.='<label for="text_tag_'.$control_count.'" class="stylize">Tags</label>';
							$data.='<input type="text" id="text_tag_'.$control_count.'" name="text_tag['.$control_count.']" value="'.'" />';
							$data.='</div>';
							
							$data.='<div class="search-result-control">';
							$data.='<label for="text_anchor_'.$control_count.'" class="stylize">Anchor Text</label>';
							$data.='<input type="text" id="text_anchor_'.$control_count.'" name="text_anchor['.$control_count.']" value="Read More" />';
							$data.='</div>';
							
							$data.='<div class="search-result-control">';
							$data.='<label for="text_pos_'.$control_count.'" class="stylize">Content Position</label>';
							$data.='<select id="text_pos_'.$control_count.'" name="text_pos['.$control_count.']">
							<option value="top">Top</option>
							<option value="bottom">Bottom</option>
							</select>
							';
							$data.='</div>';
							
							$data.='<div class="search-result-control category-wrapper">';
							$data.='<label for="" class="stylize">Categories</label>';
							foreach($wp_categories as $cat)
							{
								$data.='<div class="category"><input type="checkbox" id="post_category_'.$control_count.'_'.$cat->cat_ID.'" name="post_category['.$control_count.']['.$cat->cat_ID.']" value="'.$cat->cat_ID.'"> '.$cat->cat_name.'</div>';
							}
							$data.='</div>';
							
							/*$data.='<div class="search-result-control">';
							$data.='<label for="share_post_'.$control_count.'" class="stylize">Share</label>';
							$data.='<select id="share_post_'.$control_count.'" name="share_post['.$control_count.']">
							<option value="no">No</option>
							<option value="yes">Yes</option>
							</select>
							';
							$data.='</div>';*/
							
							$data.='</div>';
							$data.='</div>';
							$control_count++;
							//print_r($item);
						}
					}
					//print_r($search_items);
				}
			break;
		}
		//print_r($data);
		return $data;
		
	}
	/* Function to share post on blog websites */
	public function shareCampaignPost( $post_id )
	{
		$post_details = get_post( $post_id );
		$share_results = array();
		/* Generate status to share */
		$post_title 	=	$post_details->post_title;
		$post_title_raw	=	$post_title;
		$permalink		=	get_permalink( $post_id );
		$url_raw		=	$permalink;
		$post_content	=	strip_tags($post_details->post_content);
		
		$feed_url 		= 	add_query_arg('feed', 'rss2', home_url( '/' ));
		$site_url 		= 	home_url( '/' );
		$site_name 		= 	get_bloginfo( 'name' );
		
		/* Fetch anchor text */
		$anchor_texts	=	get_post_meta($post_id, PAGED_TRAFFIC_PLUGIN_SLUG.'_anchor_text', true);
		if(strlen(trim($anchor_texts))==0)
		{
			$anchor_texts	=	'Read More';
		}
		$keyword_array=explode(',', $anchor_texts);
		
		
		/* Shorten this link */
		$url		=	new URL();
		$permalink	=	$url->short_url($permalink);
		
		/* Fetch first 140 charactets  */
		if(strlen($post_title)>(135-strlen($permalink)) )
		{
			$post_title	=	substr($post_title,0,(135-strlen($permalink)));
		}
		$status		=	$post_title.' '.$permalink;
		
		/* Fetch first 300 charactets of content  */
		if(strlen($post_content)>300 )
		{
			$post_content	=	substr($post_content,0,300);
		}
		$post_content		=	$post_content.' <a href="'.$permalink.'">{{keyword}}</a>';
		
		/* Get post tags */
		$post_tags	=	get_the_tags($post_id);
		
		/* Feed sharing starts */
		
		/* Share on RSS Network */
		$feed_share_data=array('url'=>$feed_url, 'category'=>63);
		$feed_share_url='http://www.rss-network.com/addrss.php';
		$feed_poster=new FeedPoster();
		if($feed_poster->Post($feed_share_url, $feed_share_data))
		{
			$share_results['rss-network'] = true;
		}
		else
		{
			$share_results['rss-network'] = false;
		}
		/* Share on pingomatic.com */
		$feed_share_data=array('title'=>$site_name, 'blogurl'=>$site_url, 'rssurl'=>$feed_url);
		$feed_share_url='http://pingomatic.com/ping/?'.http_build_query($feed_share_data).'&chk_weblogscom=on&chk_blogs=on&chk_feedburner=on&chk_newsgator=on&chk_myyahoo=on&chk_pubsubcom=on&chk_blogdigger=on&chk_weblogalot=on&chk_newsisfree=on&chk_topicexchange=on&chk_google=on&chk_tailrank=on&chk_skygrid=on&chk_collecta=on&chk_superfeedr=on&chk_rubhub=on&chk_blogshares=on';
		
		$feed_poster=new FeedPoster();
		if($feed_poster->Post($feed_share_url,array(),false))
		{
			$share_results['Weblogs.com'] = true;
			$share_results['Blo.gs'] = true;
			$share_results['Feed Burner'] = true;
			$share_results['NewsGator'] = true;
			$share_results['My Yahoo!'] = true;
			$share_results['PubSub.com'] = true;
			$share_results['Blogdigger'] = true;
			$share_results['Weblogalot'] = true;
			$share_results['News Is Free'] = true;
			$share_results['Topic Exchange'] = true;
			$share_results['Google Blog Search'] = true;
			$share_results['Spinn3r'] = true;
			$share_results['SkyGrid'] = true;
			$share_results['Collecta'] = true;
			$share_results['Superfeedr'] = true;
			$share_results['RubHub'] = true;
			$share_results['BlogShares'] = true;
		}
		else
		{
			$share_results['Weblogs.com'] = false;
			$share_results['Blo.gs'] = false;
			$share_results['Feed Burner'] = false;
			$share_results['NewsGator'] = false;
			$share_results['My Yahoo!'] = false;
			$share_results['PubSub.com'] = false;
			$share_results['Blogdigger'] = false;
			$share_results['Weblogalot'] = false;
			$share_results['News Is Free'] = false;
			$share_results['Topic Exchange'] = false;
			$share_results['Google Blog Search'] = false;
			$share_results['Spinn3r'] = false;
			$share_results['SkyGrid'] = false;
			$share_results['Collecta'] = false;
			$share_results['Superfeedr'] = false;
			$share_results['RubHub'] = false;
			$share_results['BlogShares'] = false;
		}
		
		/* Share on blo.gs */
		/*$ping_url = "http://ping.blo.gs/?name={$site_name}&url={$site_url}&rssUrl={$feed_url}&direct=1";
		$uagent = 'Mozilla/5.0 (X11; Linux x86_64; rv:7.0.1) Gecko/20100101 Firefox/7.0.1';
		$curl_options =	array(
							CURLOPT_USERAGENT		=>	$uagent,
							CURLOPT_RETURNTRANSFER	=>	1,
							CURLOPT_FOLLOWLOCATION	=>	1,
							CURLOPT_SSL_VERIFYPEER	=>	false,
							CURLOPT_URL				=>	$ping_url
						);
		$ch = curl_init();
		curl_setopt_array($ch, $curl_options);
		$buf = utf8_decode(html_entity_decode(str_replace('&', '', curl_exec($ch))));
		$header = curl_getinfo($ch);
		curl_close ($ch);
		if($buf=='Thanks for the ping')
		{
			$share_results['blo.gs'] = true;
		}
		else
		{
			$share_results['Blo.gs'] = false;
		}*/
		/* Share on Feedagg.com */
		$tags=array();
		if ($post_tags && is_array($post_tags)) {
			foreach ($post_tags as $tag) {
				$tags[] = $tag->name;
			}
		}
		$tags_string=implode(',', $tags);
		$blog_detail = $this->getAccountDetails('feedagg.com');
		
		$feedagg	=	new FeedAgg($blog_detail['account_params']['user_name']);
		$share_results['feedagg.com'] = $feedagg->PostToFeedAgg($feed_url, $tags_string);
		
		/* Post sharing starts */
		/* Share on linkedin */
		try
		{
			$blog_detail = $this->getAccountDetails('linkedin.com');
			$API_CONFIG = array(
			  'appKey'       => paged_traffic_linkedin_api_key,
			  'appSecret'    => paged_traffic_linkedin_secret,
			  'callbackUrl'  => null 
			);
			$linkedin = new LinkedIn($API_CONFIG);
			$linkedin->setTokenAccess(array('oauth_token' => @$blog_detail['account_params']['access_token'], 'oauth_token_secret' => @$blog_detail['account_params']['access_secret']));
			
			$content = array();
			$content['title'] = $post_title_raw;
			$content['submitted-url'] = $url_raw;
			//$content['description'] = str_replace('{{keyword}}',$keyword_array[array_rand($keyword_array)],$post_content);
			$response = $linkedin->share('new', $content, false);
			//print_r($response);
			
			//print_r($user);
			if($response['info']['http_code']==201)
			{
				$share_results['linkedin.com'] = true;
			}
			else
			{
				$share_results['linkedin.com'] = false;
			}
		}
		catch(Exception $ex)
		{
			$share_results['linkedin.com'] = false;
		}
		//print_r($response);die;
		/* share on posterous */
		$blog_detail = $this->getAccountDetails('posterous.com');
		$posterous_api = new PosterousAPI(@$blog_detail['account_params']['user_email'], @$blog_detail['account_params']['password']);
		try
		{
			$tags=array();
			if ($post_tags && is_array($post_tags)) {
				foreach ($post_tags as $tag) {
					$tags[] = $tag->name;
				}
			}
			
			$arg=array('hostname'=>@$blog_detail['account_params']['website_prefix'], 'title' => $post_title_raw, 'body' => str_replace('{{keyword}}',$keyword_array[array_rand($keyword_array)],$post_content), 'tags' => implode(' ', $tags));
			$res = $posterous_api->newpost($arg);
			
			$share_results['posterous.com'] = true;
		}
		catch(Exception $ex)
		{
			$share_results['posterous.com'] = false;
		}
		//print_r($res);die;
		/* Share on delicious */
		$blog_detail = $this->getAccountDetails('delicious.com');
		$d = new DeliciousBrownies;
		$d->setUsername(@$blog_detail['account_params']['username']);
		$d->setPassword(@$blog_detail['account_params']['password']);
		$tags=array();
		if ($post_tags && is_array($post_tags)) {
        	foreach ($post_tags as $tag) {
        		$tags[] = $tag->name;
        	}
    	}
		$result = $d->addPost(urlencode($permalink), urlencode($post_title_raw), urlencode(implode(' ', $tags)));
		if($result)
		{
			$share_results['delicious.com'] = true;
		}
		else
		{
			$share_results['delicious.com'] = false;
		}
		
		/* Share on Live Journal */
		$blog_detail = $this->getAccountDetails('livejournal.com');
		$req = new xmlrpcmsg( 'LJ.XMLRPC.postevent' );

		$struct = new xmlrpcval( array(
			'username' => new xmlrpcval( @$blog_detail['account_params']['username'], 'string' ),
			'password' => new xmlrpcval( @$blog_detail['account_params']['password'], 'string' ),
			'event' => new xmlrpcval( str_replace('{{keyword}}',$keyword_array[array_rand($keyword_array)],$post_content), 'string' ),
			'subject' => new xmlrpcval( $post_title_raw, 'string' ),
			'lineendings' => new xmlrpcval( 'pc', 'string' ),
			'year' => new xmlrpcval( date( 'Y' ), 'int' ),
			'mon' => new xmlrpcval( date( 'n' ), 'int' ),
			'day' => new xmlrpcval( date( 'j' ), 'int' ),
			'hour' => new xmlrpcval( date( 'G' ), 'int'),
			'min' => new xmlrpcval( date( 'i' ), 'int' )
		), 'struct' );

		$req->addParam( $struct );

		$cl = new xmlrpc_client( '/interface/xmlrpc', 'livejournal.com', 80, 'http11' );
		$result = $cl->send( $req );
		if($result->errno==0)
		{
			$share_results['livejournal.com'] = true;
		}
		else
		{
			$share_results['livejournal.com'] = false;
		}
		//
		/* Share on TypePad */
		/*$blog_detail = $this->getAccountDetails('typepad.com');
		$meta = new MetaWebLogAPI( 'www.typepad.com', '/t/api', @$blog_detail['account_params']['blog_id'], @$blog_detail['account_params']['user_email'], @$blog_detail['account_params']['password'] );
		$data = $meta->Post( $post_title_raw, str_replace('{{keyword}}',$keyword_array[array_rand($keyword_array)],$post_content) );
		
		if($data->errno==0)
		{
			$share_results['typepad.com'] = true;
		}
		else
		{
			$share_results['typepad.com'] = false;
		}*/
		/* Share on Blogger */
		/*
		$blog_detail = $this->getAccountDetails('blogger.com');
		try
		{
			$blogger = new Blogger( @$blog_detail['account_params']['user_email'], @$blog_detail['account_params']['password'], @$blog_detail['account_params']['blog_id'] );
			if($blogger->createPost( $post_title_raw, str_replace('{{keyword}}',$keyword_array[array_rand($keyword_array)],$post_content), False ))
			{
				$share_results['blogger.com'] = true;
			}
			else
			{
				$share_results['blogger.com'] = false;
			}
		}
		catch(Exception $ex)
		{
			$share_results['blogger.com'] = false;
		}
		*/
		/* Share on Plurk */
		$blog_detail = $this->getAccountDetails('plurk.com');
		$plurk_api = new plurk_api();
		$plurk_api->login( 'dzl9hoyCaILElKVQcWIruHoflwytciQg', $blog_detail['account_params']['username'], $blog_detail['account_params']['password'] );
		$result = $plurk_api->add_plurk( 'en', 'says', $status );
		if(!isset($result->plurk_id))
		{
			$share_results['plurk.com'] = false;
		}
		else
		{
			$share_results['plurk.com'] = true;
		}
		//
		/* Share on blog.com */
		$blog_detail = $this->getAccountDetails('blog.com');
		$meta = new MetaWebLogAPI( @$blog_detail['account_params']['blog_prefix'].'.blog.com', '/xmlrpc.php', 1, @$blog_detail['account_params']['username'], @$blog_detail['account_params']['password'] );
		
		$data = $meta->Post( $post_title_raw, str_replace('{{keyword}}',$keyword_array[array_rand($keyword_array)],$post_content) );
		if($data->errno==0)
		{
			$share_results['blog.com'] = true;
		}
		else
		{
			$share_results['blog.com'] = false;
		}
		
		/* Share on Wordpress */
		$blog_detail = $this->getAccountDetails('wordpress.com');
		$meta = new MetaWebLogAPI( @$blog_detail['account_params']['blog_prefix'].'.wordpress.com', '/xmlrpc.php', 1, @$blog_detail['account_params']['username'], @$blog_detail['account_params']['password'] );
		
		$data = $meta->Post( $post_title_raw, str_replace('{{keyword}}',$keyword_array[array_rand($keyword_array)],$post_content) );
		if($data->errno==0)
		{
			$share_results['wordpress.com'] = true;
		}
		else
		{
			$share_results['wordpress.com'] = false;
		}
		
		
		/* Share on Friend Feed */
		$blog_detail = $this->getAccountDetails('friendfeed.com');
		$friendfeed = new FriendFeed( @$blog_detail['account_params']['username'], @$blog_detail['account_params']['remote_key'] );
    	$entry = $friendfeed->publish_link( $post_title_raw, $permalink );
		if($entry)
		{
			$share_results['friendfeed.com'] = true;
		}
		else
		{
			$share_results['friendfeed.com'] = false;
		}
		/* Share on Facebook */
		
		$facebook = new Facebook(array(  
			'appId'  => paged_traffic_facebook_app_id,  
			'secret' => paged_traffic_facebook_secret,  
			'cookie' => true  
		));
		$blog_detail = $this->getAccountDetails('facebook-account');
		try
		{
			$facebook->setAccessToken($blog_detail['account_params']['access_token']);
			$share_results['facebook.com'] = $facebook->postMessage($status);
		}
		catch(Exception $ex)
		{
			$share_results['facebook.com'] = false;
		}
		
		/* Share on twitter */
		
		$blog_detail = $this->getAccountDetails('twitter.com');
		
		$twitter = new TwitterOAuth(paged_traffic_twitter_consumer_key, paged_traffic_twitter_consumer_secret, $blog_detail['account_params']['access_token'], $blog_detail['account_params']['access_secret']);
		
		$data=$twitter->post('statuses/update', array('status' => $status));
		
		if(!isset($data->error))
		{
			$share_results['twitter.com'] = true;
		}
		else
		{
			$share_results['twitter.com'] = false;
		}
		
		/* Share on Statusnet accounts */
		if(count($this->paged_traffic_statusnet_accounts)>0)
		{
			
			foreach($this->paged_traffic_statusnet_accounts as $account)
			{
				$blog_detail = $this->getAccountDetails($account['account-name']);
				$statusnet =  new Statusnet($account['api-url'], $blog_detail['account_params']['username'], $blog_detail['account_params']['password']);
				
				$share_results[$account['account-name']] = $statusnet->shareStatus($status);
			}
		}


		//print_r($share_results);
		return $share_results;
	}
	/* Database initialization function */
	static function paged_traffic_db_install() 
	{
		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		global $wpdb;
		
		$paged_traffic=new PagedTraffic();
		
		$paged_traffic_campaign_table = $paged_traffic->getCampaignTableName();
		  
		$video_schedule_sql = "CREATE TABLE $paged_traffic_campaign_table (
		id INT(11) NOT NULL AUTO_INCREMENT,
		campaign_name VARCHAR(255),
		campaign_created_on DATETIME,
		campaign_modified_on DATETIME,
		campaign_enable ENUM('yes','no') DEFAULT 'yes',
		PRIMARY KEY  (id)
		);";
		
		dbDelta($video_schedule_sql);
		
		$paged_traffic_campaign_details_table = $paged_traffic->getCampaignDetailsTableName();
		  
		$video_schedule_details_sql = "CREATE TABLE $paged_traffic_campaign_details_table (
		id INT(11) NOT NULL AUTO_INCREMENT,
		campaign_id INT(11),
		post_id INT(11),
		video_thumbnail TEXT,
		share_post ENUM('yes','no') DEFAULT 'yes',
		anchor_text TEXT,
		post_shared ENUM('yes','no') DEFAULT 'no',
		post_shared_on DATETIME,
		share_status TEXT,
		PRIMARY KEY  (id)
		);";
		
		dbDelta($video_schedule_details_sql);
		
		$video_schedule_accounts_table = $paged_traffic->getPagedTrafficAccountsTableName();
		  
		$video_schedule_details_sql = "CREATE TABLE $video_schedule_accounts_table (
		id INT(11) NOT NULL AUTO_INCREMENT,
		account_name VARCHAR(255),
		account_type VARCHAR(255),
		account_params TEXT,
		PRIMARY KEY  (id)
		);";
		
		dbDelta($video_schedule_details_sql);
		
		add_option("paged_traffic_db_version", $paged_traffic->getPagedTrafficDBVersion());
	}
	/* Campaigns initialization function */
	static function paged_traffic_campaignr()
	{
		wp_schedule_event( current_time( 'timestamp' ), 'hourly', 'paged_traffic_hourly_event');
	}
	/* deactivation hooks */
	static function paged_traffic_deactivation()
	{
		wp_clear_scheduled_hook('paged_traffic_hourly_event');
	}
	/* hourly schedule */
	static function paged_traffic_hourly_schedule()
	{
		/* Fetch the posts that needs to be shared */
		global $wpdb;
		$paged_traffic=new PagedTraffic();
		$paged_traffic_campaign_details_table = $paged_traffic->getCampaignDetailsTableName();
		
		$sql="select * from {$paged_traffic_campaign_details_table} where share_post='yes' and post_shared='no'";
		$sharable_posts=$wpdb->get_results($sql);
		
		if(count($sharable_posts)>0)
		{
			foreach($sharable_posts as $sp)
			{
				/* Now fetch actual post */
				$post_details = get_post( $sp->post_id );
				if($post_details->post_status == 'publish')
				{
					/* We will only share the published posts */
					$share_status = $paged_traffic->shareCampaignPost( $sp->post_id );
					$share_status = serialize($share_status);
					$share_status = base64_encode($share_status);
					
					/* Now mark this schedule as shared */
					$update_sql="update {$paged_traffic_campaign_details_table} set post_shared='yes', post_shared_on='".date('Y-m-d H:i:s',current_time( 'timestamp' ))."', share_status='{$share_status}'";
					
					$wpdb->query($update_sql);
				}
			}
		}
	}
	
}
/* Redirect functions */
function redirect($url, $data=array())
{
	if(count($data)<=0)
	{
		echo '<script language="javascript">window.location="'.$url.'";</script>';
	}
	else
	{
		/* Genrate the form */
		echo "<form name='SFResponse::redirect-form' id='SFResponse::redirect-form' method='post' action='$url'>";
			foreach($data as $key=>$val)
			{
				echo "<input type=\"hidden\" name=\"$key\" id=\"$key\" value=\"$val\">";
			}
		echo "</form>";
		/* Now SFResponse::redirect script */
		echo "<script language=\"javascript\">document.forms[\"SFResponse::redirect-form\"].submit();</script>";
	}
	die;
}
/* Register activation hooks */
register_activation_hook(PAGED_TRAFFIC_PLUGIN_FILE,array('PagedTraffic','paged_traffic_db_install'));
register_activation_hook(PAGED_TRAFFIC_PLUGIN_FILE,array('PagedTraffic','paged_traffic_campaignr'));

/* Register deactivation hooks */
register_deactivation_hook(PAGED_TRAFFIC_PLUGIN_FILE, array('PagedTraffic','paged_traffic_deactivation'));
/* Register hourly cron job */
add_action('paged_traffic_hourly_event', array('PagedTraffic','paged_traffic_hourly_schedule'));

?>