<?php
$paged_traffic=new PagedTraffic();

if(isset($_GET['action']))
{
	$id=intval($_GET['id']);
	if($id>0)
	{
		if($_GET['action']=='remove')
		{
			$paged_traffic->removeCampaign($id);
			/* Now redirect to manage schedule page */
			redirect(add_query_arg('removed','true','admin.php?page=paged-traffic-manage-campaigns'));
			die;
		}
		if($_GET['action']=='remove-post')
		{
			$paged_traffic->removeCampaignPost($id);
			/* Now redirect to manage schedule page */
			redirect(add_query_arg('removed','true','admin.php?page=paged-traffic-manage-campaigns'));
			die;
		}
	}
}
if(@$_GET['action']=='edit')
{
	$id=intval($_GET['id']);
	if($id>0)
	{
		$schedule_details = $paged_traffic->getCampaignDetails($_GET['id']);
	}
	else
	{
		redirect('admin.php?page=paged-traffic-manage-campaigns');
		die;
	}
?>
<div class="wrap sfwrapper">
    <div id="icon-link-manager" class="icon32"><br/></div>
    <h2>Update Campaign</h2>
    <br />
    <div class="content">
    	<table class="widefat sf-fancy-table">
        <thead>
        <tr>
            <th>Title</th>
            <th>Author</th>
            <th>Categories</th>
            <th>Tags</th>
            <th>Sharing Status</th>
            <th>Date</th>
        </tr>
        </thead>
        <!--tfoot>
        <tr>
            <th>Title</th>
            <th>Author</th>
            <th>Categories</th>
            <th>Tags</th>
            <th>Sharing Status</th>
            <th>Date</th>
        </tr>
        </tfoot-->
        <?php
		if(count($schedule_details)>0):
		?>
        <tbody>
        <?php
		foreach($schedule_details as $sch)
		{
			/* Get post details */
			$post_details = get_post( $sch->post_id );
			?>
            <tr>
            	<td class="post-title page-title column-title ">
                	<strong>
						<a href="<?php echo get_edit_post_link($post_details->ID) ?>"><?php echo $post_details->post_title; ?></a>
                    </strong>
                    <div class="row-actions">
                        <span class="edit">
                            <a href="<?php echo get_edit_post_link($post_details->ID) ?>" title="Edit this item">Edit</a> | 
                        </span>
                        <span class="trash">
                            <a class="submitdelete" title="Move this item to the Trash" href="admin.php?page=paged-traffic-manage-campaigns&action=remove-post&id=<?php echo $post_details->ID ?>">Trash</a> | 
                        </span>
                        <span class="view">
                            <a href="<?php echo get_permalink($post_details->ID) ?>" title="View “CCBnutrition 9F NCSC”" rel="permalink">View</a>
                        </span>
                    </div>
                    
                </td>
                <td>
                	<?php echo the_author_meta('user_nicename',$post_details->post_author); ?>
                </td>
                <td>
                	<?php 
					$cats=get_the_category($post_details->ID);
					$output='';
					if($cats)
					{
						foreach($cats as $cat)
						{
							$output .= $cat->cat_name.' ';
						}
					}
					echo $output; 
					?>
                </td>
                <td>
                	<?php
					$tags=wp_get_post_tags($post_details->ID);
                    $output='';
					if($tags)
					{
						foreach($tags as $tag)
						{
							$output .= $tag->name.' ';
						}
					}
					echo $output; 
					?>
                </td>
                <td>
                	<?php echo $sch->post_shared=='yes'?'<a title="Sharing Status" class="thickbox" href="#TB_inline?height=300&width=500&inlineId=share_details_'.$sch->id.'">Shared</a>':'Pending'; ?>
                    <?php
						if($sch->post_shared=='yes')
						{
					?>
                    <div class="paged-traffic-hidden" id="share_details_<?php echo $sch->id ?>">
                    	<div class="paged_traffic_share_result_wrapper">
                    		<?php
								$share_status=$sch->share_status;
								$share_status=@base64_decode($share_status);
								$share_status=@unserialize($share_status);
								if(count($share_status)>0)
								{
									foreach($share_status as $account_name => $status)
									{
										?>
                                        <div class="<?php echo $status?'success':'failed'; ?>">
                                        	<?php echo $account_name ?><span></span>
                                        </div>
                                        <?php
									}
								}
							?>
                        </div>
                    </div>
                    <?php
						}
					?>
                </td>
                <td>
                	<?php echo date('Y/m/d H:i', strtotime($post_details->post_date)); ?><br /><?php echo ucfirst($post_details->post_status); ?>
                </td>
            </tr>
            <?php
		}
		?>
        </tbody>
        <?php
		endif;
		?>
    </div>
</div>
<?php
}
else
{
/* Fetch All Campaigns */
$schedules=$paged_traffic->getCampaigns();
?>
<div class="wrap sfwrapper">
    <div id="icon-link-manager" class="icon32"><br/></div>
    <h2>Manage Campaign</h2>
    <?php
	if(isset($_GET['updated']))
	{
	?>
	<div id="message" class="updated">
	  <p>
		Data saved successfully!!
	  </p>
	</div>
	<?php
	}
	?>
    <?php
	if(isset($_GET['removed']))
	{
	?>
	<div id="message" class="updated">
	  <p>
		Data removed successfully!!
	  </p>
	</div>
	<?php
	}
	?>
    <br />
    <div class="content">
    <table class="widefat sf-fancy-table">
        <thead>
        <tr>
            <th width="60%">Campaign Title</th>
            <th width="10%">Total Posts</th>
            <th width="10%">Created on</th>
            <th width="20%"></th>
        </tr>
        </thead>
        <!--tfoot>
        <tr>
            <th>Campaign Title</th>
            <th>Total Posts</th>
            <th>Created on</th>
        </tr>
        </tfoot-->
        <tbody>
        <?php
			if(count($schedules)>0)
			{
				foreach($schedules as $schedule)
				{
					?>
                    <tr>
                    	<td class="">
                        	<strong><?php echo $schedule->campaign_name; ?></strong>
                            <!--div class="row-actions">
                            	<span class="edit"><a href="admin.php?page=paged-traffic-manage-campaigns&action=edit&id=<?php echo $schedule->id; ?>" title="Edit this item">Edit</a> | </span>
                                    <span class="trash"><a class="submitdelete" title="Delete this item " href="admin.php?page=paged-traffic-manage-campaigns&action=remove&id=<?php echo $schedule->id; ?>" onclick="return confirm_remove()">Remove</a> </span>
                            </div-->
                        </td>
                        <td>
                        	<?php echo count($paged_traffic->getCampaignDetails($schedule->id)); ?>
                        </td>
                        <td>
                        	<?php echo date('m-d-Y', strtotime($schedule->campaign_created_on)); ?>
                        </td>
                        <td>
                        <a class="sfbutton orange medium" href="admin.php?page=paged-traffic-manage-campaigns&action=edit&id=<?php echo $schedule->id; ?>" title="Edit this item">Edit</a>
                        <a class="sfbutton red medium submitdelete" title="Delete this item " href="admin.php?page=paged-traffic-manage-campaigns&action=remove&id=<?php echo $schedule->id; ?>" onclick="return confirm_remove()">Remove</a>
                        </td>
                    </tr>
                    <?php
				}
			}
			else
			{
				?>
                <tr>
                	<td colspan="5">
                    	<h2>No record found</h2>
                    </td>
                </tr>
                <?php
			}
		?>
        </tbody>
    </table>
    </div>
</div>
<script language="javascript">
function confirm_remove()
{
	return confirm('All scheduled posts will be removed.\nAre you sure, you want to continue?');
}
</script>
<?php
}
?>