<?php
class ViralControl
{
	protected $viral_control_acconts_table;
	
	public function __construct()
	{
		global $wpdb;
		$this->viral_control_acconts_table		=	$wpdb->prefix.'viral_control_accounts';
	}
	
	public function getAccountsTable()
	{
		return $this->viral_control_acconts_table;
	}
	
	public function getAccountDetails($account_name)
	{
		global $wpdb;
		$sql="select * from {$this->viral_control_acconts_table} where account_name='{$account_name}'";
		$row=$wpdb->get_row($sql);
		$result=array('account_type'=>'', 'account_params'=>'');
		if($row)
		{
			$result['account_type']=$row->account_type;
			$result['account_params']=unserialize(base64_decode($row->account_params));
		}
		return $result;
	}
	public function saveFacebookAppDetails($account_name, $app_id, $app_secret)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->viral_control_acconts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('app_id' => $app_id, 'app_secret' => $app_secret);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->viral_control_acconts_table} (account_name, account_type, account_params) values ('{$account_name}', 'facebook-application', '{$param}')";
		$wpdb->query($sql);
		
		return true;
	}
	public function saveFacebookAccountDetails($account_name, $user_id, $user_screen_name, $access_token)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->viral_control_acconts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('user_id' => $user_id, 'user_screen_name' => $user_screen_name, 'access_token' => $access_token);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->viral_control_acconts_table} (account_name, account_type, account_params) values ('{$account_name}', 'facebook-account', '{$param}')";
		$wpdb->query($sql);
		
		return true;
	}
	public function saveTwitterAccountDetails($account_name, $user_id, $user_screen_name, $access_token, $access_secret)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->viral_control_acconts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('user_id' => $user_id, 'user_screen_name' => $user_screen_name, 'access_token' => $access_token, 'access_secret' => $access_secret);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->viral_control_acconts_table} (account_name, account_type, account_params) values ('{$account_name}', 'twitter-account', '{$param}')";
		$wpdb->query($sql);
		
		return true;
	}
	public function saveGplusAppDetails($account_name, $app_id, $app_secret)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->viral_control_acconts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('app_id' => $app_id, 'app_secret' => $app_secret);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->viral_control_acconts_table} (account_name, account_type, account_params) values ('{$account_name}', 'gplus-application', '{$param}')";
		$wpdb->query($sql);
		
		return true;
	}
	public function saveGplusAccountDetails($account_name, $user_id, $user_screen_name, $access_token)
	{
		global $wpdb;
		/* Remove old entries from database */
		$sql="delete from {$this->viral_control_acconts_table} where account_name='{$account_name}'";
		$wpdb->query($sql);
		/* Now create new entry */
		$param=array('user_id' => $user_id, 'user_screen_name' => $user_screen_name, 'access_token' => $access_token);
		$param=serialize($param);
		$param=base64_encode($param);
		
		$sql="insert into {$this->viral_control_acconts_table} (account_name, account_type, account_params) values ('{$account_name}', 'gplus-account', '{$param}')";
		$wpdb->query($sql);
		
		return true;
	}
	
	/* Redirect functions */
	static function redirect($url, $data=array())
	{
		if(count($data)<=0)
		{
			echo '<script language="javascript">window.location="'.$url.'";</script>';
		}
		else
		{
			/* Genrate the form */
			echo "<form name='SFResponse::redirect-form' id='SFResponse::redirect-form' method='post' action='$url'>";
				foreach($data as $key=>$val)
				{
					echo "<input type=\"hidden\" name=\"$key\" id=\"$key\" value=\"$val\">";
				}
			echo "</form>";
			/* Now SFResponse::redirect script */
			echo "<script language=\"javascript\">document.forms[\"SFResponse::redirect-form\"].submit();</script>";
		}
		die;
	}
        
//       
        public function ShowTwitterUsers($post_content)
        {
            $viral_control = new ViralControl();
            global $post;
            $keyword = get_post_meta($post->ID, 'social_curator_keyword', true);
            $headline_keyword = get_post_meta($post->ID, 'social_curator_headline_keyword', true);
            $tw_display_pos = get_post_meta($post->ID, 'social_curator_twitter_position', true);
            $fb_display_pos = get_post_meta($post->ID, 'social_curator_facebook_position', true);
            $tw_profile_count = get_post_meta($post->ID, 'social_curator_twitter_profile_count', true);
            $fb_profile_count = get_post_meta($post->ID, 'social_curator_facebook_profile_count', true);
			
			$gplus_display_pos = get_post_meta($post->ID, 'social_curator_gplus_position', true);
			$gplus_profile_count = get_post_meta($post->ID, 'social_curator_gplus_profile_count', true);
            
            wp_get_single_post($post->ID);
            if(is_single($post->ID)||is_page($post->ID))
                {
                    if($keyword)
                    {
                        
                        $twitter_enable = get_post_meta($post->ID, 'social_curator_twitter_enabled', true);
                        if($twitter_enable == 'twenable')
                        {
                            
                            $twitter_content = "<div class='paged-social-lockdown-twitter-profile-loaded'><div class='paged-social-lockdown-loading'></div></div>";
                            if($tw_display_pos == 'Top')
                            {
                                $post_content = $twitter_content."<br>".$post_content;
                            }
                            else if($tw_display_pos == 'Bottom')
                            {
                               $post_content = $post_content."<br>".$twitter_content;
                            }
                            else
                            {
                                $post_content = $twitter_content."<br>".$post_content."<br>".$twitter_content;
                            }
                            $post_content .='<script language="javascript">';
							$post_content .='jQuery(document).ready(function (e){
									jQuery.ajax({
								   type: "POST",
								   url: "'.VIRAL_CONTROL_CONTENT_LOCK_URL.'/ajax/load-twitter-profile.php",
								   data: "post_id='.$post->ID.'",
								   success: function(msg){
									 jQuery(".paged-social-lockdown-twitter-profile-loaded").html(msg);
								   }
								});
								});';
							$post_content .='</script>';
                       }
                        
                        $facebook_enable = get_post_meta($post->ID, 'social_curator_facebook_enabled', true);
                        if($facebook_enable=='enable')
                        {
							$fb_content = "<div class='paged-social-lockdown-fb-profile-loaded'><div class='paged-social-lockdown-loading'></div></div>";
							if($fb_display_pos == 'Top')
							{
								$post_content = $fb_content."<br>".$post_content;
							}
							else if($fb_display_pos == 'Bottom')
							{
								$post_content = $post_content."<br>".$fb_content;
							}
							else
							{
								$post_content = $fb_content."<br>".$post_content."<br>".$fb_content;
							}
							$post_content .='<script language="javascript">';
							$post_content .='jQuery(document).ready(function (e){
									jQuery.ajax({
								   type: "POST",
								   url: "'.VIRAL_CONTROL_CONTENT_LOCK_URL.'/ajax/load-fb-profile.php",
								   data: "post_id='.$post->ID.'",
								   success: function(msg){
									 jQuery(".paged-social-lockdown-fb-profile-loaded").html(msg);
								   }
								});
								});';
							$post_content .='</script>';
						}
						
						$gplus_enable = get_post_meta($post->ID, 'social_curator_gplus_enabled', true);
                        if($gplus_enable=='gplusenable')
                        {
							
							$gplus_content = "<div class='paged-social-lockdown-gplus-profile-loaded'><div class='paged-social-lockdown-loading'></div></div>";
							if($gplus_display_pos == 'Top')
							{
								$post_content = $gplus_content."<br>".$post_content;
							}
							else if($gplus_display_pos == 'Bottom')
							{
								$post_content = $post_content."<br>".$gplus_content;
							}
							else
							{
								$post_content = $gplus_content."<br>".$post_content."<br>".$gplus_content;
							}
							$post_content .='<script language="javascript">';
							$post_content .='jQuery(document).ready(function (e){
									jQuery.ajax({
								   type: "POST",
								   url: "'.VIRAL_CONTROL_CONTENT_LOCK_URL.'/ajax/load-gplus-profile.php",
								   data: "post_id='.$post->ID.'",
								   success: function(msg){
									 jQuery(".paged-social-lockdown-gplus-profile-loaded").html(msg);
								   }
								});
								});';
							$post_content .='</script>';
						}
                    }
                }
                return $post_content;
        }
	function bitly_shorten($url)
	{
		$query = array(
			"version" => "2.0.1",
			"longUrl" => $url,
			"login" => 'contentlock1', 
			"apiKey" => 'R_feb30dd4fa8a35b27dbbfce5b354493b' 
		);
		
		$query = http_build_query($query);
		
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, "http://api.bitly.com/v3/shorten?".$query);
		curl_setopt($ch, CURLOPT_HEADER, 0);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		
		$response = curl_exec($ch);
		curl_close($ch);
		
		$response = json_decode($response);
		if( $response->status_txt == "OK") {        
			return $response->data->url;
		} else {
			return null;
		}
	}
}
add_filter('the_content',array('ViralControl', 'ShowTwitterUsers'));