<?php
	//////////////////////////////////////////////////////////////////
	// MetaBoxes
	//////////////////////////////////////////////////////////////////
	add_paged_social_lockdown_meta_box('paged_social_lockdown_meta', array(
	'title' => 'Social Curator Lockdown 2.0 Content Lock', // the title of the meta box
	'pages' => array('post', 'page'),  // post types on which you want the metabox to appear
	'context' => 'normal', // meta box context (see above)
	'priority' => 'high', // meta box priority (see above)
	'fields' => array( // array describing our fields
array(
			'name' => '<b>Important:</b>',
			'id' => 'paged_social_lockdown_note',
				'type' => 'none',
				'desc' => '<b>When locking externally hosted videos, you must enable transparency mode. For youtube videos this is done by by adding ?wmode=transparent to the end of the Youtube URL.</b>',
		),
		array(
			'name' => 'Enable Social Curator Lockdown 2.0 Content Lock?',
			'id' => 'paged_social_lockdown_activate',
			'type' => 'checkbox', // options are checkbox, image, radio, select, text, textarea
				'desc' => 'This enables/disables Social Curator Lockdown 2.0 Content Lock for locked content in this post/page.',
		),
		array(
			'name' => 'Default Tweet:',
			'id' => 'paged_social_lockdown_comment',
				'default' =>  $paged_social_lockdownoptions['default_comment'],
			'type' => 'text', // options are checkbox, image, radio, select, text, textarea
				'desc' => '<br>This will prepopulate the user\'s tweet. The user may change the tweet if they wish.',
		),
			array(
			'name' => 'Headline Message',
			'id' => 'paged_social_lockdown_message',
				'default' =>  $paged_social_lockdownoptions['default_message'],
			'type' => 'text', // options are checkbox, image, radio, select, text, textarea
				'desc' => '<br>Enter a short message to your users to appear across the top of locked content, or leave blank for no headline.',
		),
			array(
			'name' => 'URL to Share:',
			'id' => 'paged_social_lockdown_urlswitch',
				'default' => 'thispost',
				'desc' => '',
			'type' => 'radio', // options are checkbox, image, radio, select, text, textarea
				'options' => array(
				'thispost' => 'This page/post URL',
				'thisblog' => 'Main blog URL',
				'customurl' => 'Custom URL',
				  )
		   ),
		array(
			'name' => '',
			'id' => 'paged_social_lockdown_customurl',
				'desc' => '<br>Enter a custom URL to be shared',
			'type' => 'text', // options are checkbox, image, radio, select, text, textarea
		)
	)
));
       

?>