<?php
    /*
    Plugin Name:  Paged Social Lockdown 2.0
    Plugin URI: http://pagedsocializer.com
    Description: Tap into curiosity nature of humans - dig into their need for proof - Unleash a horde of viral traffic unto your site - Control where your traffic goes (this is HUGE)! All easily done with Paged Social Lockdown!
   Version: 1.1
   Author: Precious Ngwu
   Author URI: http://preciousngwu.com
   */
function paged_social_lockdown_requires_wordpress_version() {
	global $wp_version;
	$plugin = plugin_basename( __FILE__ );
	$plugin_data = get_plugin_data( __FILE__, false );
	if ( version_compare($wp_version, "3.3", "<" ) ) {
		if( is_plugin_active($plugin) ) {
			deactivate_plugins( $plugin );
			wp_die( "'".$plugin_data['Name']."' requires WordPress 3.3 or higher, and has been deactivated! Please upgrade WordPress and try again.<br /><br />Back to <a href='".admin_url()."'>WordPress admin</a>." );
		}
	}
}
add_action( 'admin_init', 'paged_social_lockdown_requires_wordpress_version' );
  define( 'VIRAL_CONTROL_CONTENT_LOCK_PATH', plugin_dir_path(__FILE__) );
  define( 'VIRAL_CONTROL_CONTENT_LOCK_URL', plugin_dir_url(__FILE__) );
  define( 'VIRAL_CONTROL_SLUG','viral-control' );
  $PLUGINURL = VIRAL_CONTROL_CONTENT_LOCK_URL;
  require_once VIRAL_CONTROL_CONTENT_LOCK_PATH . 'includes/functions.php';
  require_once VIRAL_CONTROL_CONTENT_LOCK_PATH . 'lib/lib.php';
  require_once VIRAL_CONTROL_CONTENT_LOCK_PATH . 'includes/SmartMetaBox.php';
  $paged_social_lockdownoptions = get_option('paged_social_lockdown_options');
//////////////////////////////////////////////////////////////////
// Install Operations
//////////////////////////////////////////////////////////////////
  global $paged_social_lockdown_db_version;
  
  $paged_social_lockdown_db_version = "1.4";
  
  function paged_social_lockdown_install() {
     global $wpdb;
     global $paged_social_lockdown_db_version;
     require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
     dbDelta($sql);
     add_option("paged_social_lockdown_db_version", $paged_social_lockdown_db_version);
  }
//////////////////////////////////////////////////////////////////
// Load Scripts and Styles
//////////////////////////////////////////////////////////////////
function paged_social_lockdown_scripts() 
{
if(is_single() || is_page())
{ 
  $paged_social_lockdownoptions = get_option('paged_social_lockdown_options');
  $unlock_type = $paged_social_lockdownoptions['unlock_behavior'];
  $paged_social_lockdown_active = paged_social_lockdownMetaBox::get('paged_social_lockdown_activate');
    wp_enqueue_script('paged_social_lockdowncookie', VIRAL_CONTROL_CONTENT_LOCK_URL . 'includes/js/cookie.js', array('jquery'));
    if ($paged_social_lockdown_active == 'true')
	{
    	if ($unlock_type == 'site' && $_COOKIE["paged_social_lockdown_shared"] != 1)
		{
		  wp_enqueue_script( 'jquery' );
		  wp_deregister_script('plusone');
		  wp_register_script('plusone', 'https://apis.google.com/js/plusone.js');
		  wp_enqueue_script("plusone");
		  wp_deregister_script('twittersdk');
		  wp_register_script('twittersdk', 'https://platform.twitter.com/widgets.js');
		  wp_enqueue_script("twittersdk");
		  wp_enqueue_script('paged_social_lockdownjq2', VIRAL_CONTROL_CONTENT_LOCK_URL . 'includes/js/paged_social_lockdownjq2.js', array('jquery'), '1.0', true);
		  wp_deregister_script('facebooksdk');
		  wp_register_script('facebooksdk', 'http://connect.facebook.net/en_US/all.js#xfbml=1', array('paged_social_lockdownjq2'), NULL, true);
		  wp_enqueue_script("facebooksdk");
      }
      elseif ($unlock_type == 'post' && $_COOKIE["paged_social_lockdown_shared"] != 1)
	  {
		  wp_enqueue_script( 'jquery' );
		  wp_deregister_script('plusone');
		  wp_register_script('plusone', 'https://apis.google.com/js/plusone.js');
		  wp_enqueue_script("plusone");
		  wp_deregister_script('twittersdk');
		  wp_register_script('twittersdk', 'https://platform.twitter.com/widgets.js');
		  wp_enqueue_script("twittersdk");
		  wp_deregister_script('facebooksdk');
		  wp_register_script('facebooksdk', 'http://connect.facebook.net/en_US/all.js#xfbml=1', array('paged_social_lockdownjq3'), NULL, true);
		  wp_enqueue_script("facebooksdk");
		  wp_enqueue_script('paged_social_lockdownjq3', VIRAL_CONTROL_CONTENT_LOCK_URL . 'includes/js/paged_social_lockdownjq3.js', array('jquery'), '1.0', true);
      }
      if ($paged_social_lockdownoptions['powered_by'] == 'enabled') { 
         wp_enqueue_script('powered', VIRAL_CONTROL_CONTENT_LOCK_URL . 'includes/js/powered.js', array('jquery'), '1.0', true); 
      }
    }
  }
}
add_action('admin_init', create_function('','wp_register_style(VIRAL_CONTROL_SLUG."-admin-styles",VIRAL_CONTROL_CONTENT_LOCK_URL."assets/admin/css/style.css");wp_enqueue_style(VIRAL_CONTROL_SLUG."-admin-styles");'));


function viral_control_twitter_frontend_stylesheet() 
{
        wp_register_style( VIRAL_CONTROL_SLUG."-front-styles",VIRAL_CONTROL_CONTENT_LOCK_URL."assets/front/style.css");
        wp_enqueue_style(VIRAL_CONTROL_SLUG."-front-styles");
		
		wp_register_script(VIRAL_CONTROL_SLUG."-front-script", VIRAL_CONTROL_CONTENT_LOCK_URL."assets/front/script.js", array('jquery'));
		wp_enqueue_script(VIRAL_CONTROL_SLUG."-front-script");
}
add_action( 'wp_enqueue_scripts', 'viral_control_twitter_frontend_stylesheet' );


function paged_social_lockdown_footerscriptfirst(){
echo "<div id='fb-root'></div>";
}

function paged_social_lockdown_footerscript(){
if(is_single() || is_page())
{
  $paged_social_lockdown_active = paged_social_lockdownMetaBox::get('paged_social_lockdown_activate');
    if ($paged_social_lockdown_active == 'true' && $_COOKIE["paged_social_lockdown_shared"] != 1){
$urlbehave = paged_social_lockdownMetaBox::get('paged_social_lockdown_urlswitch');
if ($urlbehave == 'thispost'){
  $paged_social_lockdown_url = get_permalink();
   }
  elseif ($urlbehave == 'thispost'){
     $paged_social_lockdown_url = get_home_url();
    }
 else{
   $paged_social_lockdown_url = paged_social_lockdownMetaBox::get('paged_social_lockdown_customurl');
  }
/* Now lets shorten the url with bitly */

$paged_social_lockdown_url = ViralControl::bitly_shorten($paged_social_lockdown_url);

$tweet = paged_social_lockdownMetaBox::get('paged_social_lockdown_comment');
$message = paged_social_lockdownMetaBox::get('paged_social_lockdown_message');
$whichpost = get_the_ID();
echo "
<div class='paged_social_lockdown-buttons-hidden'><div class='fb-like' data-href='" . $paged_social_lockdown_url . "' data-send='false' data-layout='button_count' data-width='90' data-show-faces='false' style='width: 85px;'></div><div class='g-plusone' data-size='medium' data-callback='paged_social_lockdown_plusone' data-href='" . $paged_social_lockdown_url . "'></div><a data-related='webtemplates' href='http://twitter.com/share' class='twitter-share-button' data-text='" . $tweet . "' data-url='" . $paged_social_lockdown_url . "' data-count='horizontal' data-lang='en'>Tweet</a></div>
<script type='text/javascript'>
jQuery(function($){
$('.paged_social_lockdown-message').text('" . $message . "');
$('.paged_social_lockdownmessage').text('" . $message . "');
});
</script>";
   }
  }
}

function paged_social_lockdown_footerscript2()
{
	$paged_social_lockdown_active = paged_social_lockdownMetaBox::get('paged_social_lockdown_activate');
	if ($paged_social_lockdown_active == 'true')
	{
		echo '
			<script type="text/javascript">
					function paged_social_lockdown_plusone(plusone) {
						if (plusone.state == "on") {
							var data = {post: "'.$whichpost.'", action: "paged_social_lockdown", source: "google"};
							jQuery.post("'.admin_url('admin-ajax.php').'", data, function(response) {
								paged_social_lockdown_unlock();
							});
						}
					}
		FB.init();
					jQuery(document).ready(function() {
						FB.Event.subscribe("edge.create", function(href) { 
							var data = {post: "'.$whichpost.'", action: "paged_social_lockdown", source: "facebook"};
							jQuery.post("'.admin_url('admin-ajax.php').'", data, function(response) {
														 jQuery(".fb_edge_comment_widget.fb_iframe_widget").remove(); 
								 paged_social_lockdown_unlock();
							});
										});
								});
		
						twttr.ready(function (twttr) {
							twttr.events.bind("tweet", function(event) {
								var data = {post: "'.$whichpost.'", action: "paged_social_lockdown", source: "twitter"};
								jQuery.post("'.admin_url('admin-ajax.php').'", data, function(response) {
									paged_social_lockdown_unlock();
								});
							});
						});
					
		</script>';
	}
}
add_action('wp_footer', 'paged_social_lockdown_footerscriptfirst', 10);
add_action('wp_footer', 'paged_social_lockdown_footerscript', 20);
add_action('wp_footer', 'paged_social_lockdown_footerscript2', 30);
function paged_social_lockdown_styles() {
if(is_single() || is_page()){
  $paged_social_lockdown_active = paged_social_lockdownMetaBox::get('paged_social_lockdown_activate');
    if ($paged_social_lockdown_active == 'true' && $_COOKIE["paged_social_lockdown_shared"] != 1){ 
    wp_enqueue_style('paged_social_lockdown', VIRAL_CONTROL_CONTENT_LOCK_URL . 'includes/css/paged_social_lockdown.css');
    wp_enqueue_style('paged_social_lockdown-text', VIRAL_CONTROL_CONTENT_LOCK_URL . 'includes/css/paged_social_lockdown-text.css');
    }
  }
}
function paged_social_lockdown_conditionals() {
if(is_single() || is_page()){
  $paged_social_lockdown_active = paged_social_lockdownMetaBox::get('paged_social_lockdown_activate');
    if ($paged_social_lockdown_active == 'true' && $_COOKIE["paged_social_lockdown_shared"] != 1){ 
    echo '<!--[if IE]><style>
        span.paged_social_lockdown-locked-text { color: transparent; background-image:url("'. VIRAL_CONTROL_CONTENT_LOCK_URL .'includes/img/textblur.png"); }
</style><![endif]-->
';
    }
  }
}
function paged_social_lockdown_admin_scripts() {
wp_enqueue_script('paged_social_lockdownsw', VIRAL_CONTROL_CONTENT_LOCK_URL . 'includes/js/paged_social_lockdownsw.js', array('jquery'));
  } 
add_action('admin_menu', 'register_paged_social_lockdown_menu_page');
function register_paged_social_lockdown_menu_page() {
   add_menu_page('Social Curator Lockdown 2.0 Content Lock Settings', 'Social Curator Lockdown 2.0', 'manage_options', 'paged_social_lockdown/paged_social_lockdown.php', '',   plugins_url('paged_social_lockdown/includes/img/menu.png'), 27);
}
function paged_social_lockdown_custom_logo() {
if(is_single() || is_page()){
  $paged_social_lockdown_active = paged_social_lockdownMetaBox::get('paged_social_lockdown_activate');
    if ($paged_social_lockdown_active == 'true' && $_COOKIE["paged_social_lockdown_shared"] != 1){
      $paged_social_lockdownoptions = get_option('paged_social_lockdown_options');
      $custom_logo = $paged_social_lockdownoptions['custom_logo']; 
    echo '<style>div.paged_social_lockdown-logo { background-image: url(' . $custom_logo . '); } div.paged_social_lockdownlogo { background-image: url(' . $custom_logo . '); }</style>';
    }
  }
}
add_action( "admin_print_scripts-post.php", 'paged_social_lockdown_admin_scripts' );
add_action( "admin_print_scripts-post-new.php", 'paged_social_lockdown_admin_scripts' );
add_action('wp_enqueue_scripts', 'paged_social_lockdown_scripts');
add_action('wp_enqueue_scripts', 'paged_social_lockdown_styles');
add_action('wp_head', 'paged_social_lockdown_conditionals');
if ($paged_social_lockdownoptions['custom_logo']) {
add_action('wp_head', 'paged_social_lockdown_custom_logo');
}

add_filter('language_attributes', 'schema');
        function schema($attr) {
                $attr .= "\n xmlns:fb=\"http://ogp.me/ns/fb#\""; 

                return $attr;
        }
//////////////////////////////////////////////////////////////////////////////
// Unlocking Actions
//////////////////////////////////////////////////////////////////////////////
function paged_social_lockdown_callback() {
		global $wpdb;
		$post_id = $_POST['post'];
		$post_url = get_permalink($post_id);
		switch ($_POST['source']) {
			case "facebook":
				break;
			default:
				break;
		}
	}	
//////////////////////////////////////////////////////////////////////////////
// MCE
//////////////////////////////////////////////////////////////////////////////
function paged_social_lockdown_mce_css( $mce_css ) {
	if ( ! empty( $mce_css ) )
		$mce_css .= ',';
	$mce_css .= plugins_url( 'paged_social_lockdownadmin.css', __FILE__ );
	return $mce_css;
}
function paged_social_lockdown_addbuttons() {
   if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
     return;
   if ( get_user_option('rich_editing') == 'true') {
     add_filter("mce_external_plugins", "add_paged_social_lockdown_buttons");
     add_filter('mce_buttons_3', 'register_paged_social_lockdown_buttons');
   }
  }
function register_paged_social_lockdown_buttons($buttons) {
   array_push($buttons, "paged_social_lockdown_button_image", "paged_social_lockdown_button_video", "paged_social_lockdown_button_text", "paged_social_lockdown_button_text_container", "paged_social_lockdownslb", "paged_social_lockdownslb2");
   return $buttons;
  }
function add_paged_social_lockdown_buttons($plugin_array) {
  $plugin_array['paged_social_lockdown_button_image'] = VIRAL_CONTROL_CONTENT_LOCK_URL.'includes/js/tinymce/paged_social_lockdown_button_image/editor_plugin.js';
  $plugin_array['paged_social_lockdown_button_video'] = VIRAL_CONTROL_CONTENT_LOCK_URL.'includes/js/tinymce/paged_social_lockdown_button_video/editor_plugin.js';
  $plugin_array['paged_social_lockdown_button_text'] = VIRAL_CONTROL_CONTENT_LOCK_URL.'includes/js/tinymce/paged_social_lockdown_button_text/editor_plugin.js';
  $plugin_array['paged_social_lockdown_button_text_container'] = VIRAL_CONTROL_CONTENT_LOCK_URL.'includes/js/tinymce/paged_social_lockdown_button_text_container/editor_plugin.js';
  $plugin_array['paged_social_lockdownslb'] = VIRAL_CONTROL_CONTENT_LOCK_URL.'includes/js/tinymce/paged_social_lockdownslb/editor_plugin.js';
  $plugin_array['paged_social_lockdownslb2'] = VIRAL_CONTROL_CONTENT_LOCK_URL.'includes/js/tinymce/paged_social_lockdownslb2/editor_plugin.js';
   return $plugin_array;
  }
if (is_admin()) {
add_action('init', 'paged_social_lockdown_addbuttons');
add_filter( 'mce_css', 'paged_social_lockdown_mce_css' );
add_action('wp_ajax_paged_social_lockdown', 'paged_social_lockdown_callback');
add_action('wp_ajax_nopriv_paged_social_lockdown', 'paged_social_lockdown_callback');
}
//add_filter( 'mce_buttons_2', 'paged_social_lockdown_mce' );
//
//function paged_social_lockdown_mce( $buttons ) {
//    array_unshift( $buttons, 'styleselect' );
//    return $buttons;
//}
add_filter( 'tiny_mce_before_init', 'paged_social_lockdown_mce_styles' );
function paged_social_lockdown_mce_styles( $settings ) {
$formats = array(
       'lockimage' => array(
                         'selector' => 'img',
                         'classes' => 'paged_social_lockdown-locked-image paged_social_lockdown-default' 
                         ),
        'lockvideo' => array(
                         'inline' => 'span',
                         'classes' => 'paged_social_lockdown-locked-video paged_social_lockdown-default' 
                         ),
        'locktext' => array(
                         'inline' => 'span',
                         'classes' => 'paged_social_lockdown-locked-text',
                         'wrapper' => true
                        ),
        'textcontain' => array(
                         'inline' => 'div',
                         'classes' => 'paged_social_lockdown-contained-text',
                         'wrapper' => true
                        ),
        'blackdiamond' => array(
          	         'selector' => 'img',
          	         'classes' => 'paged_social_lockdown-diamond-dark'                     
    	      ),          
        'whitediamond' => array(
        		'selector' => 'img',
        		'classes' => 'paged_social_lockdown-diamond-light'                     
    	      ),
        'blackoverlay' => array(
    		    'selector' => 'img',
    		    'classes' => 'paged_social_lockdown-black'
    	      ),
        'whiteoverlay' => array(
    		    'selector' => 'img',
    		    'classes' => 'paged_social_lockdown-white'
    	      ),
        'gradientdark' => array(
    		    'selector' => 'img',
    		    'classes' => 'paged_social_lockdown-gradient-dark'
    	      ),
        'gradientskyblue' => array(
    		    'selector' => 'img',
    		    'classes' => 'paged_social_lockdown-gradient-lightblue'
    	      ),
        'gradientblue' => array(
    		    'selector' => 'img',
    		    'classes' => 'paged_social_lockdown-gradient-blue'
    	      ),
        'gradientgreen' => array(
    		    'selector' => 'img',
    		    'classes' => 'paged_social_lockdown-gradient-green'
    	      ),
        'blackdiamondv' => array(
          	         'selector' => 'span',
          	         'classes' => 'paged_social_lockdown-diamond-dark'                     
    	      ),          
        'whitediamondv' => array(
        		'selector' => 'span',
        		'classes' => 'paged_social_lockdown-diamond-light'                     
    	      ),
        'blackoverlayv' => array(
    		    'selector' => 'span',
    		    'classes' => 'paged_social_lockdown-black'
    	      ),
        'whiteoverlayv' => array(
    		    'selector' => 'span',
    		    'classes' => 'paged_social_lockdown-white'
    	      ),
        'gradientdarkv' => array(
    		    'selector' => 'span',
    		    'classes' => 'paged_social_lockdown-gradient-dark'
    	      ),
        'gradientskybluev' => array(
    		    'selector' => 'span',
    		    'classes' => 'paged_social_lockdown-gradient-lightblue'
    	      ),
        'gradientbluev' => array(
    		    'selector' => 'span',
    		    'classes' => 'paged_social_lockdown-gradient-blue'
    	      ),
        'gradientgreenv' => array(
    		    'selector' => 'span',
    		    'classes' => 'paged_social_lockdown-gradient-green'
    	      )
    );
    $settings['formats'] = json_encode( $formats );
    return $settings;
}
//////////////////////////////////////////////////////////////////////////////
// Settings API
//////////////////////////////////////////////////////////////////////////////
// Set-up Action and Filter Hooks
register_activation_hook(__FILE__, 'paged_social_lockdown_add_defaults');
register_uninstall_hook(__FILE__, 'paged_social_lockdown_delete_plugin_options');
add_action('admin_init', 'paged_social_lockdown_init' );
add_action('admin_menu', 'paged_social_lockdown_add_options_page');
add_filter( 'plugin_action_links', 'paged_social_lockdown_plugin_action_links', 10, 2 );
// Delete options table entries ONLY when plugin deactivated AND deleted
function paged_social_lockdown_delete_plugin_options() {
	delete_option('paged_social_lockdown_options');
}
// Define default option settings
function paged_social_lockdown_add_defaults() {
	$tmp = get_option('paged_social_lockdown_options');
    if(($tmp['chk_default_options_db']=='1')||(!is_array($tmp))) {
		delete_option('paged_social_lockdown_options');
		$arr = array(   "default_comment" => "Hey check this out!",
                                "default_message" => "Share this page with friends to Unlock!",
				"unlock_behavior" => "site",
                                "custom_logo" => "",
                                "powered_by" => "enabled",
		);
		update_option('paged_social_lockdown_options', $arr);
	}
}
function paged_social_lockdown_init(){
	register_setting( 'paged_social_lockdown_plugin_options', 'paged_social_lockdown_options', 'paged_social_lockdown_validate_options' );
}
function paged_social_lockdown_add_options_page() {
	add_options_page('Social Curator Lockdown 2.0 Content Lock Settings', 'Social Curator Lockdown 2.0 Content Lock', 'manage_options', __FILE__, 'paged_social_lockdown_render_form');

        add_submenu_page(__FILE__,'social curator', 'Social Curator Setting', 'add_users','social-curator-settings','social_curator_setting' );
}

function social_curator_setting()
{ 
	include_once(VIRAL_CONTROL_CONTENT_LOCK_PATH.'/settings/settings.php');
}
function create_table() 
{
	$ViralControl = new ViralControl();
	global $wpdb;
	$table_name = $ViralControl->getAccountsTable();
	$sql = "CREATE TABLE $table_name (
		id INT(11) NOT NULL AUTO_INCREMENT,
		account_name VARCHAR(255),
		account_type VARCHAR(255),
		account_params TEXT,
		PRIMARY KEY  (id)
		);";
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql);
}
register_activation_hook(__FILE__,'create_table'); 
 
 function social_curator()
    {
        add_meta_box('viral_control','Social Curator Lockdown 2.0 Social Curator','viral_control_social_curator','post','advanced');
        add_meta_box('viral_control','Social Curator Lockdown 2.0 Social Curator','viral_control_social_curator','page','advanced');
    }
add_action('add_meta_boxes', 'social_curator');
    
function viral_control_social_curator()
    { 
        $viral_control	=	new ViralControl();
        ?>
        <table>
            <?php global $post;   $keyword = get_post_meta($post->ID, 'social_curator_keyword', true);
            ?>
            <tr>
                <td>
                  Search Keyword
                </td>
                <td>
                    <input type="text" name="social_curator_keyword" id="social_curator_keyword" value="<?php echo $keyword;?>"/>
                </td>
            </tr>
            <?php   $headline_keyword = get_post_meta($post->ID, 'social_curator_headline_keyword', true);
            ?>
            <tr>
                <td>
                   Headline Keyword
                </td>
                <td>
                    <input type="text" name="social_curator_headline_keyword" id="social_curator_headline_keyword" value="<?php echo $headline_keyword;?>"/>
                </td>
            </tr>
        </table>
        <?php
        if($keyword)
            { ?>
                <div class="metabox-tabs-div">
                    <ul class="metabox-tabs" id="metabox-tabs">
                        <li class="active tab1">
                            <a class="active" href="javascript:void(null);">Facebook</a>
                        </li>
                        <li class="tab2">
                            <a href="javascript:void(null);">Twitter</a>
                        </li>
						<li class="tab3">
                            <a href="javascript:void(null);">Google+</a>
                        </li>
                    </ul>
                    <div class="tab1">
                        <h4 class="heading">Facebook</h4>
                        <?php
                            $details=$viral_control->getAccountDetails('facebook-account');
                            if(!$details['account_params']['user_id'])
                            { ?>
                              <p>
                                  Facebook Application not authorised! Please authorised the application!
                              </p>
                      <?php }
                        
                         else{
                             $facebook_enable = get_post_meta($post->ID, 'social_curator_facebook_enabled', true); 
                             if($facebook_enable=='enable') { $check="checked"; } else { $check=" "; }
                          ?>
                        <table class="form-table">
                            <tr>
                                <th scope="row">
                                    <label for="jf_input1">Facebook</label>
                                </th>
                            </tr>
                            
                                    <tr>
                                        <td>Enable:
                                            <input type="checkbox" id="social_curator_facebook_enabled" name="social_curator_facebook_enabled" value="enable" <?php echo $check ;?> />
                              
                                            &nbsp;&nbsp; Display Position:
                                            <?php $fb_select = get_post_meta($post->ID, 'social_curator_facebook_position', true);
                                            ?>
                                            <select name="social_curator_facebook_position" id="social_curator_facebook_position">
                                                <option <?php if($fb_select=='Top') {echo "selected"; }?>>
                                                    Top
                                                </option>
                                                <option <?php if($fb_select=='Bottom') {echo "selected"; }?>>
                                                    Bottom
                                                </option>
                                                <option <?php if($fb_select=='Both') {echo "selected"; }?>>
                                                    Both
                                                </option>
                                            </select>

                                            &nbsp;&nbsp;Max Profile Count:
                                            <?php  $fb_profile_count = get_post_meta($post->ID, 'social_curator_facebook_profile_count', true);
                                            ?>
                                            <select name="social_curator_facebook_profile_count" id="social_curator_facebook_profile_count">
                                                <?php for($i=1;$i<=8;$i++)
                                                        {
                                                        ?>
                                                <option <?php if($fb_profile_count==$i){ echo "selected"; } ?>>
                                                    <?php echo $i; ?>
                                                </option>
                                                <?php 
                                                        }
                                                ?>
                                            </select>
                                        </td>
                                    </tr>
                                </table>
                                <?php
                                    if($facebook_enable=='enable')
                                    {
                                        try
                                        {
                                                $facebook = new Facebook(array(  
                                                        'appId'  => viral_control_facebook_app_id,  
                                                        'secret' => viral_control_facebook_secret,  
                                                        'cookie' => true  
                                                ));
                                                $fb_limit=25;
                                                $facebook->setAccessToken($details['account_params']['access_token']);
                                                $fb_search_res = $facebook->api('/search?q='.urlencode($keyword).'&type=post&limit='.$fb_limit);
                                                //print_r($fb_search_res);?>
                                                <table class="fancy-table wp-list-table widefat fixed" >

                                                    <?php $i=0;  
                                                            foreach($fb_search_res["data"] as $fbstatus)
                                                            {   
                                                                if(!$fbstatus["picture"])
                                                                {
                                                                }

                                                                else if($fbstatus["picture"])
                                                                { ?>
                                                                <tr class="alternater">
                                                                    <td id="userprofile">
                                                                      <?php echo '<img src="http://graph.facebook.com/'.$fbstatus["from"]["id"].'/picture">';?>
                                                                    </td>
                                                                    <td id="username">
                                                                        <div class="user-name">
                                                                        <?php echo $fbstatus["from"]["name"]; ?>
                                                                        </div>
                                                                        <div class="user-post">
                                                                        <?php echo substr($fbstatus["message"], 0, 200);
                                                                        $i++;
                                                                        if($i==$fb_profile_count)
                                                                        {
                                                                            break;
                                                                        }
                                                                }?>
                                                                        </div>
                                                                    </td>
                                                                </tr><?php
                                                            }?>
                                                </table><?php
                                        }
                                        catch(Exception $fe)
                                        {
                                           
                                        }
                                    }
                               }
                        ?>
                    </div>
            
                    <div class="tab2">
                        <h4 class="heading">Twitter</h4>
                        <?php
                            $details=$viral_control->getAccountDetails('twitter.com');
                            if(!$details['account_params']['user_id'])
                            { ?>
                                <p>
                                    Twitter Application not authorised! Please authorised the application!
                                </p>
                      <?php }
                   else {?>
                        <table class="form-table">
                            <tr>
                                <th scope="row">
                                    <label for="jf_input1">Twitter</label>
                                </th>
                            </tr>
                            <?php   $twitter_enable = get_post_meta($post->ID, 'social_curator_twitter_enabled', true); 
                                    if($twitter_enable=="twenable") { $checks="checked"; } else { $checks=""; } ?>
                            <tr>
                                <td> Enable:
                                    <input type="checkbox" id="social_curator_twitter_enabled" name="social_curator_twitter_enabled" value="twenable" <?php echo $checks ;?> />
                                
                                    &nbsp;&nbsp;Display Position:
                                    <?php $tw_select = get_post_meta($post->ID, 'social_curator_twitter_position', true); ?>
                                    <select name="social_curator_twitter_position" id="social_curator_twitter_position">
                                        <option <?php if($tw_select=='Top') {echo "selected"; }?>>
                                            Top
                                        </option>
                                        <option <?php if($tw_select=='Bottom') {echo "selected"; }?>>
                                            Bottom
                                        </option>
                                        <option <?php if($tw_select=='Both') {echo "selected"; }?>>
                                            Both
                                        </option>
                                    </select>
             
                                    &nbsp;&nbsp;Max Profile Count:
                                    <?php $tw_profile_count = get_post_meta($post->ID, 'social_curator_twitter_profile_count', true); 
                                    ?>
                                    <select name="social_curator_twitter_profile_count" id="social_curator_twitter_profile_count">
                                        <?php for($i=1;$i<=8;$i++)
                                                {?>
                                            <option <?php if($tw_profile_count==$i){ echo "selected"; } ?>>
                                                <?php echo $i; ?>
                                            </option>
                                          <?php 
                                                }?>
                                    </select>
                                </td>
                            </tr>
                        </table>
                        <!-- Display twitter profiles -->
                        <?php
                                if($twitter_enable=="twenable")
                                {
                                        /* Fetch profiles from twitter */
                                        $tw_limit=20;
                                        $twitter_details	=	$viral_control->getAccountDetails('twitter.com');
                                        $twitter 			= 	new TwitterOAuth(viral_control_twitter_consumer_key, viral_control_twitter_consumer_secret, $twitter_details['account_params']['access_token'], $twitter_details['account_params']['access_secret']);
                                        $search_results = $twitter->get('https://api.twitter.com/1.1/search/tweets.json',array('q'=>$keyword, 'result_type'=>'recent', 'count'=>$tw_limit));
                                        ?><table class="fancy-table wp-list-table widefat fixed" >
                                            <?php
                                            $j=0;
                                            foreach($search_results->statuses as $status)
                                            {
                                                if(!$status->user->profile_image_url)
                                                    {
                                                    }
                                                else if($status->user->profile_image_url)  
                                                   {?>

                                                    <tr class="alternater">
                                                        <td id="userprofile"><img src="<?php echo $status->user->profile_image_url; ?>" /></td>
                                                        <td id="username">
                                                            <div class="user-name">
                                                                <?php echo $status->user->name ; ?>
                                                            </div>
                                                            <div class="user-post">
                                                                <?php echo $status->user->description;
                                                                $j++;
                                                                if($j==$tw_profile_count)
                                                                {
                                                                    break;
                                                                }?>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                <?php
                                                   }
                                            }?>
                                        </table>
                                            <?php
                                }
                                
                         }
                        ?>
                    </div>
					
					<div class="tab3">
                        <h4 class="heading">Google+</h4>
                        <?php
                            $details=$viral_control->getAccountDetails('gplus-account');
                            if(!$details['account_params']['user_id']['id'])
                            { ?>
                                <p>
                                    Google+ Application not authorised! Please authorised the application!
                                </p>
                      <?php }
                   else {?>
                        <table class="form-table">
                            <tr>
                                <th scope="row">
                                    <label for="jf_input1">Google+</label>
                                </th>
                            </tr>
                            <?php   $gplus_enable = get_post_meta($post->ID, 'social_curator_gplus_enabled', true); 
                                    if($gplus_enable=="gplusenable") { $checks="checked"; } else { $checks=""; } ?>
                            <tr>
                                <td> Enable:
                                    <input type="checkbox" id="social_curator_gplus_enabled" name="social_curator_gplus_enabled" value="gplusenable" <?php echo $checks ;?> />
                                
                                    &nbsp;&nbsp;Display Position:
                                    <?php $gplus_select = get_post_meta($post->ID, 'social_curator_gplus_position', true); ?>
                                    <select name="social_curator_gplus_position" id="social_curator_gplus_position">
                                        <option <?php if($gplus_select=='Top') {echo "selected"; }?>>
                                            Top
                                        </option>
                                        <option <?php if($gplus_select=='Bottom') {echo "selected"; }?>>
                                            Bottom
                                        </option>
                                        <option <?php if($gplus_select=='Both') {echo "selected"; }?>>
                                            Both
                                        </option>
                                    </select>
             
                                    &nbsp;&nbsp;Max Profile Count:
                                    <?php $gplus_profile_count = get_post_meta($post->ID, 'social_curator_gplus_profile_count', true); 
                                    ?>
                                    <select name="social_curator_gplus_profile_count" id="social_curator_gplus_profile_count">
                                        <?php for($i=1;$i<=8;$i++)
                                                {?>
                                            <option <?php if($gplus_profile_count==$i){ echo "selected"; } ?>>
                                                <?php echo $i; ?>
                                            </option>
                                          <?php 
                                                }?>
                                    </select>
                                </td>
                            </tr>
                        </table>
                        <!-- Display gplus profiles -->
                        <?php
						
                                if($gplus_enable=="gplusenable")
                                {
                                        // Fetch profiles from twitter 
                                        $gplus_limit=20;
                                        $gplus_details	=	$viral_control->getAccountDetails('gplus-account');
										$gplus_access_token = $gplus_details['account_params']['access_token'];
										
										require_once 'lib/google/src/Google_Client.php';
										require_once 'lib/google/src/contrib/Google_PlusService.php';
										//require_once 'lib/google/src/contrib/Google_Oauth2Service.php';

										$client = new Google_Client();
										$client->setClientId(viral_control_gplus_app_id);
										$client->setClientSecret(viral_control_gplus_secret);
										$client->setAccessToken($gplus_access_token);
										//$oauth2 = new Google_Oauth2Service($client);
										//$user = $oauth2->userinfo->get();

										$plus = new Google_PlusService($client);
										$gparams = array(
											'orderBy' => 'best',
											'maxResults' => '20',
										  );
										  $gresults = $plus->activities->search($keyword, $gparams);										  
										  //echo "<pre>"; print_r($gresults); echo "</pre>";
                                        ?>
										<table class="fancy-table wp-list-table widefat fixed" >
                                            <?php
                                            //$j=0;
                                            foreach($gresults['items'] as $result)
                                            {
											
                                               if(!$result["actor"]["image"]["url"])
                                                  {
                                                  }
                                               else if($result["actor"]["image"]["url"])  
                                                  {
											 ?>

                                                    <tr class="alternater">
                                                        <td id="userprofile"><img src="<?php echo $imgsrc=$result["actor"]["image"]["url"]; ?>" /></td>
                                                        <td id="username">
                                                            <div class="user-name">
                                                                <?php echo $result["actor"]["displayName"] ; ?>
                                                            </div>
                                                            <div class="user-post">
                                                                <?php echo $result["title"]; ?>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                <?php
                                                  }
                                            }
										   ?>
                                        </table>
                                            <?php
											
                                }
								
                                
                         }
                        ?>
                    </div>
					
                </div>
                <script type="text/javascript">
                    jQuery(document).ready(function() {
                    jQuery('.metabox-tabs li a').each(function(i) {
                    var thisTab = jQuery(this).parent().attr('class').replace(/active /, '');
                    if ( 'active' != jQuery(this).attr('class') )
                    jQuery('div.' + thisTab).hide();
                    jQuery('div.' + thisTab).addClass('tab-content');
                    jQuery(this).click(function(){
                    jQuery(this).parent().parent().parent().children('div').hide();
                    jQuery(this).parent().parent('ul').find('li.active').removeClass('active');
                    jQuery(this).parent().parent().parent().find('div.'+thisTab).show();
                    jQuery(this).parent().parent().parent().find('li.'+thisTab).addClass('active');
                    });});
                    jQuery('.heading').hide();
                    jQuery('.metabox-tabs').show();
                });
                </script>
            <?php
         }     
    }
 
function save_viral_control_social_curator()
    {
        global $post;
        if(!add_post_meta($post->ID,'social_curator_keyword', $_POST['social_curator_keyword'],true))
            update_post_meta($post->ID,'social_curator_keyword', $_POST['social_curator_keyword']);
        
        if(!add_post_meta($post->ID,'social_curator_headline_keyword', $_POST['social_curator_headline_keyword'],true))
            update_post_meta($post->ID,'social_curator_headline_keyword', $_POST['social_curator_headline_keyword']);


        if(!add_post_meta($post->ID,'social_curator_facebook_enabled', $_POST['social_curator_facebook_enabled'],true))
            update_post_meta($post->ID,'social_curator_facebook_enabled', $_POST['social_curator_facebook_enabled']);

        if(!add_post_meta($post->ID,'social_curator_facebook_position', $_POST['social_curator_facebook_position'],true))
            update_post_meta($post->ID,'social_curator_facebook_position', $_POST['social_curator_facebook_position']);

        if(!add_post_meta($post->ID,'social_curator_facebook_profile_count', $_POST['social_curator_facebook_profile_count'],true))
            update_post_meta($post->ID,'social_curator_facebook_profile_count', $_POST['social_curator_facebook_profile_count']);

        if(!add_post_meta($post->ID,'social_curator_twitter_enabled', $_POST['social_curator_twitter_enabled'],true))
            update_post_meta($post->ID,'social_curator_twitter_enabled', $_POST['social_curator_twitter_enabled']);

        if(!add_post_meta($post->ID,'social_curator_twitter_position', $_POST['social_curator_twitter_position'],true))
            update_post_meta($post->ID,'social_curator_twitter_position', $_POST['social_curator_twitter_position']);

        if(!add_post_meta($post->ID,'social_curator_twitter_profile_count', $_POST['social_curator_twitter_profile_count'],true))
            update_post_meta($post->ID,'social_curator_twitter_profile_count', $_POST['social_curator_twitter_profile_count']);
		
		
		if(!add_post_meta($post->ID,'social_curator_gplus_enabled', $_POST['social_curator_gplus_enabled'],true))
            update_post_meta($post->ID,'social_curator_gplus_enabled', $_POST['social_curator_gplus_enabled']);

        if(!add_post_meta($post->ID,'social_curator_gplus_position', $_POST['social_curator_gplus_position'],true))
            update_post_meta($post->ID,'social_curator_gplus_position', $_POST['social_curator_gplus_position']);

        if(!add_post_meta($post->ID,'social_curator_gplus_profile_count', $_POST['social_curator_gplus_profile_count'],true))
            update_post_meta($post->ID,'social_curator_gplus_profile_count', $_POST['social_curator_gplus_profile_count']);

    }
add_action('save_post', 'save_viral_control_social_curator'); 
  
  
function paged_social_lockdown_render_form() {
	?>	
<div class="wrap">		 		
  <!-- Display Plugin Icon, Header, and Description --> 		
  <div class="icon32" id="icon-options-general">
    <br>
  </div>		<h2>Social Curator Lockdown 2.0 Content Lock Settings</h2>		
  <p>Please look over these simple settings and make changes if necessary to suit your needs.
  </p>		
  <!-- Beginning of the Plugin Options Form -->		
  <form method="post" action="options.php">			
    <?php settings_fields('paged_social_lockdown_plugin_options'); ?>			
    <?php $options = get_option('paged_social_lockdown_options'); ?>			
    <!-- Table Structure Containing Form Controls -->			
    <!-- Each Plugin Option Defined on a New Table Row -->			
    <table class="form-table">				
      <!-- Textbox Control -->				
      <tr>					
        <th scope="row"><b>Default Tweet</b>
        </th>					<td>						
          <input type="text" size="57" name="paged_social_lockdown_options[default_comment]" value="<?php echo $options['default_comment']; ?>" />                                                
          <br>Enter a default tweet to pre-populate the setting for new posts/pages. 					</td>				
      </tr>				
      <!-- Textbox Control -->				
      <tr>					
        <th scope="row"><b>Default Headline Message</b>
        </th>					<td>						
          <input type="text" size="57" name="paged_social_lockdown_options[default_message]" value="<?php echo $options['default_message']; ?>" />                                                
          <br>Enter a default headline message to pre-populate the setting for new posts/pages. 					</td>				
      </tr>				
      <!-- Radio Button Group -->				
      <tr valign="top">					
        <th scope="row"><b>Unlock Behavior</b>
        </th>					<td>
          <span style="color:#000;">Site-wide unlocking is recommended, it will protect you from getting a spammy footprint and keep your visitors happy.
          </span>
          <br>
          <br>						
          <!-- First radio button -->						
          <label>
            <input name="paged_social_lockdown_options[unlock_behavior]" type="radio" value="site" <?php checked('site', $options['unlock_behavior']); ?> /> Site-wide (recommended) 
            <span style="color:#666666;margin-left:32px;">All locked content on the site will be unlocked when a user unlocks content on any post/page.
            </span>
          </label><br />						
          <!-- Second radio button -->						
          <label>
            <input name="paged_social_lockdown_options[unlock_behavior]" type="radio" value="post" <?php checked('post', $options['unlock_behavior']); ?> /> Per post/page 
            <span style="color:#666666;margin-left:32px;">Users must unlock content on each page individually.
            </span>
          </label><br />					</td>				
      </tr>                                
      <!-- Textbox Control -->				
      <tr>					
        <th scope="row"><b>Use Custom Logo</b>
        </th>					<td>						
          <input type="text" size="57" name="paged_social_lockdown_options[custom_logo]" value="<?php echo $options['custom_logo']; ?>" />
          <br>                                                Enter the URL of your logo. The overall dimensions of the image must be 200x90. Use a PNG file with transparent background for best results. 					</td>				
      </tr>
 <!-- Radio Button Group -->				
      <tr valign="top">					
        <th scope="row"><b>Powered By Link</b>
        </th>					<td>					
          <!-- First radio button -->						
          <label>
            <input name="paged_social_lockdown_options[powered_by]" type="radio" value="enabled" <?php checked('enabled', $options['powered_by']); ?> /> Enabled (recommended) 
          </label><br />						
          <!-- Second radio button -->						
          <label>
            <input name="paged_social_lockdown_options[powered_by]" type="radio" value="disabled" <?php checked('disabled', $options['powered_by']); ?> /> Disabled 
          </label><br />					</td>				
      </tr>                                				
      <tr>
        <td colspan="2">
          <div style="margin-top:10px;">
          </div></td>
      </tr>				
      <tr valign="top" style="border-top:#dddddd 1px solid;">				
      </tr>			
    </table>			
    <p class="submit">			
      <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />			
    </p>		
  </form>	
</div>	
<?php	
}
// Sanitize and validate input. Accepts an array, return a sanitized array.
function paged_social_lockdown_validate_options($input) {
	 // strip html from textboxes
	$input['textarea_one'] =  wp_filter_nohtml_kses($input['textarea_one']); // Sanitize textarea input (strip html tags, and escape characters)
	$input['txt_one'] =  wp_filter_nohtml_kses($input['txt_one']); // Sanitize textbox input (strip html tags, and escape characters)
	return $input;
}
// Display a Settings link on the main Plugins page
function paged_social_lockdown_plugin_action_links( $links, $file ) {
	if ( $file == plugin_basename( __FILE__ ) ) {
		$paged_social_lockdown_links = '<a href="'.get_admin_url().'options-general.php?page=paged_social_lockdown/paged_social_lockdown.php">'.__('Settings').'</a>';
		// make the 'Settings' link appear first
		array_unshift( $links, $paged_social_lockdown_links );
	}
	return $links;
}
include_once(VIRAL_CONTROL_CONTENT_LOCK_PATH.'/includes/meta_box/meta_box.php');