<?php


/********* ePanel v.3.1 ************/
 
/* Adds jquery script */
add_action( 'wp_print_scripts', 'et_jquery_script', 8 );
function et_jquery_script(){
	wp_enqueue_script('jquery');
}


/* Admin scripts + ajax jquery code */
if ( ! function_exists( 'et_epanel_admin_js' ) ){
	function et_epanel_admin_js(){
		global $themename;
		$epanel_jsfolder = get_template_directory_uri() . '/epanel/js';
		wp_enqueue_script('media-upload');
		wp_enqueue_script('thickbox');
		wp_enqueue_style('thickbox');
		
		wp_enqueue_script('jquery-ui-tabs');
		wp_enqueue_script('jquery-form');
		wp_enqueue_script('epanel_js',$epanel_jsfolder . '/tytabs.jquery.min.js');
		wp_enqueue_script('epanel_js1',$epanel_jsfolder . '/themeoption.js');
	}
}
/* --------------------------------------------- */

/* Adds additional ePanel css */
if ( ! function_exists( 'et_epanel_css_admin' ) ){
	function et_epanel_css_admin() { ?> 
		<link rel="stylesheet" href="<?php echo esc_url( get_template_directory_uri() . '/epanel/css/style.css' ); ?>" type="text/css" />
		<link rel="stylesheet" href="<?php echo esc_url( get_template_directory_uri() . '/epanel/css/main_tab.css' ); ?>" type="text/css" />
		 
	<?php 
	
	}
}


/* --------------------------------------------- */

/* Save/Reset actions | Adds theme options to WP-Admin menu */
add_action('admin_menu', 'et_add_epanel');
function et_add_epanel() {
    global $themename, $shortname, $options;
	$epanel = basename(__FILE__);
	
	$core_page = add_menu_page( $themename . ' ' . esc_html__( 'Options', $themename ), '' . ' ' . esc_html__( 'LeadProfit Machines', $themename ), 'switch_themes', basename(__FILE__), 'et_build_epanel' );
	
	add_action( "admin_print_scripts-{$core_page}", 'et_epanel_admin_js' );
	add_action("admin_head-{$core_page}", 'et_epanel_css_admin');
}
/* --------------------------------------------- */

/* Displays ePanel */
  if ( ! function_exists( 'et_build_epanel' ) ){
	function et_build_epanel() {
		global $wpdb;
			$epanel_imgfolder = get_template_directory_uri() . '/epanel/images';
			
			
	  ?>  
	  
	<div id="wrapper">
<div id="container">
		<div id="logo"><img src="<?php echo $epanel_imgfolder; ?>/logo.png"></div>
    <div id="vtab">
        <ul>
         <li><a href="#" class="newbutton big blue">Theme Style<span>Select Your theme</span></a></li>
         <li><a href="#" class="newbutton big blue">Background<span>Change Background</span></a></li>
          <li><a href="#" class="newbutton big blue">Box<span>Select Your theme</span></a></li>
           <li><a href="#" class="newbutton big blue">Embeded Code<span>Select Your theme</span></a></li>
            <li><a href="#" class="newbutton big blue">Text<span>Select Your theme</span></a></li>
			<li><a href="#" class="newbutton big blue">OPT-In<span>Function</span></a></li>
        </ul>
        <div>
			<?php include('style.php'); ?>
        </div>
        
        <div>
            <?php include('background.php'); ?>
        </div>
		<div>
			<?php include('box.php'); ?>
		</div>
		<div>
			<?php include('embed.php'); ?>
		</div>
		
		<div>
			<?php include('text.php'); ?>
		</div>
        
        <div>
			<?php include('mailing.php'); ?>
		</div>
        
               
        </div><!-- end content--><div style="clear:both">
        </div>
        
        
        
        
    </div>
    
    
 </div><!--- end container-->
	  </div>
	  <?php
			
	
  }
}

 
 ?>