<?php	
	/*
	Template Name: Style 2
	*/
	
	$bcolor = get_option(get_theme_backgroundcolor2); 
	$bcolorjson = get_option(get_theme_box);
	$color = json_decode($bcolorjson);
	$bcolorleft = $color->box2left;
	$bcolorright = $color->box2right;
	
	$embedcode = get_option(get_embed_code2);											
	$warning = get_option(get_theme_warning2);
	$msg = get_option(get_theme_message2);
	
	$submsg1 = get_option(get_theme_smessage2);
	$theme_form = get_option(get_theme_form2);
?>
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<LINK href="<?php echo get_template_directory_uri();?>/style/css2/style.css" rel="stylesheet" type="text/css">
<style>
body {
	background-color: <?php echo $bcolor; ?>;
}
#left_section {
	background-color: <?php echo $bcolorleft; ?>;
}
#right_section {
	background-color: <?php echo $bcolorright; ?>;
}
</style>

<script type="text/javascript" src="<?php echo get_template_directory_uri();?>/js/jquery-1.7.1.min.js"></script>

<script>
$(document).ready(function(){
	$('input[type="submit"]').val('');
	
	$('input[type="text"]').focus(function() {
	  var val = $(this).val();
	  if( val == "Enter Your Name") {
		$(this).val('');
	  }
	  if( val == "Enter Your Best Email") {
		$(this).val('');
	  }
	});
});
</script>

</head>



<body>
		<div id="header_wrapper">
			<div id="header">
			</div>
		</div>
		
		<div id="wrapper">		
			<div id="container">
			
				<div id="left_section">
					<div id="warning" class="italic">
						<span class="red bold">WARNING:</span> 
							<?php
								echo $warning;
							?>
					</div>
					
					<div id="video_box">
						<div id="player">
							<?php
								echo $embedcode;
							?>
						</div>
					</div>
					
					<div id="optin_box" class="container">
						<?php echo $theme_form; ?>
						<div id="after_text" class="container">Enter Your Name And Email To Receive Instant Access!</div>
					</div>
					
					<div id="disc" class="grey">Your info will not be shared or sold</div>
				</div>
				
				<div id="right_section">
					<p id="focus_text">
						<?php
							
							echo $msg;
						?>
					</p>
					<div class="divide_vertically">
						<p id="reveal_text" class="italic">
						<?php
							
							echo $submsg1;
						?>
						</p>
					</div>
					<div class="testimonial divide_vertically">
						<p class="italic">
							<?php
								$feedback1 = get_option(get_theme_feedback1);
								$name1 = get_option(get_theme_feedback1name);
								$web1 = get_option(get_theme_feedback1web);
								echo $feedback1;
							?>
						</p>
						<span class="bold grey italic">
							<?php echo $name1 ?> , <?php echo $web1; ?>
						</span>
					</div>
					<div class="testimonial divide_vertically">
						<p>
							<?php
								$feedback2 = get_option(get_theme_feedback2);
								$name2 = get_option(get_theme_feedback2name);
								$web2 = get_option(get_theme_feedback2web);
								echo $feedback2;
							?>
						</p>
						<span class="bold grey italic">
							<?php echo $name2 ?> , <?php echo $web2; ?>
						</span>
					</div>
				</div>
				
			</div>
			<div id="push"></div>
		</div>
		
		<div id="footer">
			<?php include('footer.php'); ?>
		</div>
	</body>