<?php	
	/*
	Template Name: Style 5
	*/
	$theme_style = get_option(get_theme_style);
	$bimg = get_option(get_theme_backgroundimg5); 
	$bcolor = get_option(get_theme_backgroundcolor5); 
	$bcolorjson = get_option(get_theme_box);
	$color = json_decode($bcolorjson);
	$bcolor5 = $color->box5;
	
	$warning = get_option(get_theme_warning5);
	$msg = get_option(get_theme_message5);
	$submsg1 = get_option(get_theme_smessage5);
	$lmsg2 = get_option(get_theme_lmessage5);
	$theme_form = get_option(get_theme_form5);
?>
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<LINK href="<?php echo get_template_directory_uri();?>/style/css5/style.css" rel="stylesheet" type="text/css">
<style>
body {
	background: <?php echo $bcolor; ?> url(<?php echo $bimg; ?>) top repeat-x;
}
.content {
	background-color: <?php echo $bcolor5; ?>;
}
</style>
<script type="text/javascript" src="<?php echo get_template_directory_uri();?>/js/jquery-1.7.1.min.js"></script>
<script>
$(document).ready(function(){
	$('input[type="submit"]').val('');
	
	$('input[type="text"]').focus(function() {
	  var val = $(this).val();
	  if( val == "Enter Your Name") {
		$(this).val('');
	  }
	  if( val == "Enter Your Best Email") {
		$(this).val('');
	  }
	});
});
</script>
</head>


<body>
		<div id="header_wrapper">
			<div id="header">
				<span class="bold red">
					<?php
						
						echo $warning;
					?>
				</span>
			</div>
		</div>
		
		<div id="wrapper">		
			<div id="container" class="center_text content cf">
			
				<div id="left_col">
					
					<p id="focus_text">
						<?php
							
							echo $msg;
						?>
					</p>
				
					<p id="reveal_text" class="italic padx40 pady12">
						<?php
							
							echo $submsg1;
						?>
					</p>
				
					<p id="after_reveal">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
				
					<ul class="with_check_mark">
						<li>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor.</li>
						<li>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor.</li>
						<li>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor.</li>
						<li>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor.</li>
						<li>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor.</li>
					</ul>
					
					<br/>
					
					<span id="accent">
					  <?php echo $lmsg2; ?>
					</span>
				</div>
				
				<div id="right_col">
						<div id="box_art">
						</div>
						
						<div id="optin_box" class="container">
							<div id="enter_note" class="bold">Enter Your Name And Email To Receive Instant Access!</div>
						
							<?php echo $theme_form; ?>
							<div id="ddst" class="container"><span id="disclaimer2">Your info will not be shared or sold</span></div>
						</div>
				</div>
				
			</div>
			<div id="push"></div>
		</div>
		
		
		<div id="footer">
			<?php include('footer.php'); ?>
		</div>
	</body>