<?php	
	/*
	Template Name: Style 6
	*/
	$theme_style = get_option(get_theme_style);
	$bimg = get_option(get_theme_backgroundimg6); 
	$bcolor = get_option(get_theme_backgroundcolor6); 
	
	
	$warning = get_option(get_theme_warning6);
	$embedcode = get_option(get_embed_code6);
	
	$message = get_option(get_theme_message6);
	$submsg1 = get_option(get_theme_smessage6);
	$theme_form = get_option(get_theme_form6);
?>
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<LINK href="<?php echo get_template_directory_uri();?>/style/css6/style.css" rel="stylesheet" type="text/css">
<style>
	body {
		background: <?php echo $bcolor; ?> url(<?php echo $bimg; ?>) top repeat-x;
	}
</style>
<script type="text/javascript" src="<?php echo get_template_directory_uri();?>/js/jquery-1.7.1.min.js"></script>
<script>
$(document).ready(function(){
	$('input[type="submit"]').val('');
	
	$('input[type="text"]').focus(function() {
	  var val = $(this).val();
	  if( val == "Enter Your Name") {
		$(this).val('');
	  }
	  if( val == "Enter Your Best Email") {
		$(this).val('');
	  }
	});
});
</script>
</head>


<body>
		<div id="header_wrapper">
			<div id="header">
			</div>
		</div>
		
		<div id="wrapper">		
			<div id="container">
			
				<div id="left_section">
					<div id="warning" class="italic"><span class="red bold">WARNING:</span> <?php echo $warning; ?> </div>
					
					<p id="focus_text">
						<?php
							echo $message;
						?>
					</p>
					
					<div id="video_box">
						<div id="player">
							<?php
								
								echo $embedcode;
							?>
						</div>
					</div>

				</div>
				
				<div id="right_shadow_strip">
					<div id="right_section">
						<div id="arrow_top"></div>
						<div class="divide_vertically">
							<p id="reveal_text" class="italic">
							<?php
								echo $submsg1;
							?>
							</p>
						</div>
						<div id="enter_note" class="bold dark_red">Enter Your Name And Email To Receive Instant Access!</div>
						<div id="optin_box" class="container">
							<?php echo $theme_form; ?>
							<div id="ddst"><span id="disclaimer2">Your info will not be shared or sold</span></div>
						</div>
					</div>
				</div>
				
			</div>
			<div id="push"></div>
		</div>
		
		<div id="footer">
			<?php include('footer.php'); ?>
		</div>
	</body>