// JavaScript Document
jQuery(document).ready(function($) {
	tinyMCE.init({
		mode : "specific_textareas",
		editor_selector : "video_editor",
		theme : "advanced",
		plugins : "media,paste,directionality,fullscreen,safari,inlinepopups,spellchecker,visualblocks",
		theme_advanced_toolbar_location : "top",
		theme_advanced_toolbar_align : "left",
		skin : "cirkuit",
		theme_advanced_resizing : false,
		theme_advanced_buttons2 : "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,|,bullist,numlist,|,outdent,indent,blockquote,|,media,image,|,link,unlink",
		theme_advanced_buttons1 : "styleselect,formatselect,fontselect,fontsizeselect|,cut,copy,paste,pastetext,|,forecolor,backcolor",
		theme_advanced_buttons3 : "",
		theme_advanced_resizing : false
	});
	
    $('.search-result-schedule').each(function(index, element) {
		var $this=$(this);
        $(this).DatePicker({
			flat: true,
			format:'Y-m-d',
			date: $('#schedule_date_'+$this.attr('data-id')).val(),
			current: $('#schedule_date_'+$this.attr('data-id')).val(),
			calendars: 1,
			starts: 1,
			onChange: function(formated, dates){
				id=$this.attr('data-id');
				$('#schedule_date_'+id).val(formated);
			}
		});
    });
	
	jQuery('.autopilot-iphone-checkbox').iphoneStyle({
		checkedLabel: 'YES',
		uncheckedLabel: 'NO'
	});
	jQuery('.search-result-wrapper .search-result-remove').bind('click', function (e){
		jQuery(this).parent('.search-result-wrapper').fadeOut('slow', function(e){
			jQuery(this).remove();
		});
		
	});
	jQuery('.paged_traffic_post_preview').each(function(index, element) {
        jQuery(this).bind('click', function (e){
			var group_id = jQuery(this).attr('data-id');
			//alert(group_id);
			var content_pos=jQuery('#text_pos_'+group_id).val();
			var video_url=jQuery('#video_url_'+group_id).val();
			var content=tinyMCE.get('text_text_'+group_id).getContent();
			//alert(content_pos);
			var youtube_id=youtube_parser(video_url);
			
			/* Now create the post content */
			var embed_code = '<object width="410" height="350" data="http://www.youtube.com/v/'+youtube_id+'" type="application/x-shockwave-flash"><param name="src" value="http://www.youtube.com/v/'+youtube_id+'" /></object>';
			
			var post_content='';
			
			if(content_pos=='top')
			{
				post_content='<div>'+content+'</div><div>'+embed_code+'</div>';
			}
			else
			{
				post_content='<div>'+embed_code+'</div><div>'+content+'</div>';
			}
			
			jQuery('#post_preview_holder .post_content').html(post_content);
			tb_show("Post Preview", "#TB_inline?height=450&width=425&inlineId=post_preview_holder");
		});
    });
	jQuery('.paged_traffic_post_vimeo_preview').each(function(index, element) {
        jQuery(this).bind('click', function (e){
			var group_id = jQuery(this).attr('data-id');
			//alert(group_id);
			var content_pos=jQuery('#text_pos_'+group_id).val();
			var video_url=jQuery('#video_url_'+group_id).val();
			var content=tinyMCE.get('text_text_'+group_id).getContent();
			//alert(content_pos);
			var vimeo_id=vimeo_parser(video_url);
			
			/* Now create the post content */
			var embed_code = '<object width="410" height="350"><param name="allowfullscreen" value="true" /><param name="allowscriptaccess" value="always" /><param name="movie" value="http://vimeo.com/moogaloop.swf?clip_id='+vimeo_id+'&amp;force_embed=1&amp;server=vimeo.com&amp;show_title=0&amp;show_byline=0&amp;show_portrait=0&amp;color=00adef&amp;fullscreen=1&amp;autoplay=0&amp;loop=0" /><embed src="http://vimeo.com/moogaloop.swf?clip_id='+vimeo_id+'&amp;force_embed=1&amp;server=vimeo.com&amp;show_title=0&amp;show_byline=0&amp;show_portrait=0&amp;color=00adef&amp;fullscreen=1&amp;autoplay=0&amp;loop=0" type="application/x-shockwave-flash" allowfullscreen="true" allowscriptaccess="always" width="410" height="350"></embed></object>';
			
			var post_content='';
			
			if(content_pos=='top')
			{
				post_content='<div>'+content+'</div><div>'+embed_code+'</div>';
			}
			else
			{
				post_content='<div>'+embed_code+'</div><div>'+content+'</div>';
			}
			
			jQuery('#post_preview_holder .post_content').html(post_content);
			tb_show("Post Preview", "#TB_inline?height=450&width=425&inlineId=post_preview_holder");
		});
    });
	function youtube_parser(url){
		var regExp = /^.*((youtu.be\/)|(v\/)|(\/u\/\w\/)|(embed\/)|(watch\?))\??v?=?([^#\&\?]*).*/;
		var match = url.match(regExp);
		if (match&&match[7].length==11){
			return match[7];
		}else{
			return '';
		}
	}
	function vimeo_parser(url){
		var regExp = /(\d+)/;
		var match = url.match(regExp);
		if (match){
			return match[0];
		}else{
			return '';
		}
	}
});
