<?php
$paged_traffic	=	new PagedTraffic();
$statusnet_accounts	= 	$paged_traffic->getStatusnetAccounts();
if(isset($_POST['account_name']))
{
	/* Save blog settings */
	$saved=false;
	switch($_POST['account_type'])
	{
		case 'statusnet':
			if($paged_traffic->saveStatusnetAccounts($_POST['account_name'], $_POST['username'], $_POST['password']))
			{
				/* refresh and display success message */
				$saved=true;
			}
		break;
		case 'bitly':
			if($paged_traffic->saveBitlyAccount($_POST['account_name'], $_POST['login'], $_POST['api_key']))
			{
				/* refresh and display success message */
				$saved=true;
			}
		break;
		case 'facebook-application':
			if($paged_traffic->saveFacebookAppDetails($_POST['account_name'], $_POST['app_id'], $_POST['app_secret']))
			{
				/* refresh and display success message */
				$saved=true;
			}
		break;
		case 'feedagg':
			if($paged_traffic->saveFeedaggDetails($_POST['account_name'], $_POST['user_name']))
			{
				/* refresh and display success message */
				$saved=true;
			}
		break;
		case 'friendfeed':
			if($paged_traffic->saveFriendfeedDetails($_POST['account_name'], $_POST['username'], $_POST['remote_key']))
			{
				/* refresh and display success message */
				$saved=true;
			}
		break;
		case 'wordpress':
			if($paged_traffic->saveWordpressDetails($_POST['account_name'], $_POST['username'], $_POST['password'], $_POST['blog_prefix']))
			{
				/* refresh and display success message */
				$saved=true;
			}
		break;
		case 'blog':
			if($paged_traffic->saveBlogDetails($_POST['account_name'], $_POST['username'], $_POST['password'], $_POST['blog_prefix']))
			{
				/* refresh and display success message */
				$saved=true;
			}
		break;
		case 'plurk':
			if($paged_traffic->savePlurkDetails($_POST['account_name'], $_POST['username'], $_POST['password']))
			{
				/* refresh and display success message */
				$saved=true;
			}
		break;
		case 'blogger':
			if($paged_traffic->saveBloggerDetails($_POST['account_name'], $_POST['user_email'], $_POST['password'], $_POST['blog_id']))
			{
				/* refresh and display success message */
				$saved=true;
			}
		break;
		case 'typepad':
			if($paged_traffic->saveTypepadDetails($_POST['account_name'], $_POST['user_email'], $_POST['password'], $_POST['blog_id']))
			{
				/* refresh and display success message */
				$saved=true;
			}
		break;
		case 'livejournal':
			if($paged_traffic->saveLivejournalDetails($_POST['account_name'], $_POST['username'], $_POST['password']))
			{
				/* refresh and display success message */
				$saved=true;
			}
		break;
		case 'delicious':
			if($paged_traffic->saveDeliciousDetails($_POST['account_name'], $_POST['username'], $_POST['password']))
			{
				/* refresh and display success message */
				$saved=true;
			}
		break;
		case 'posterous':
			if($paged_traffic->savePosterousDetails($_POST['account_name'], $_POST['user_email'], $_POST['password'], $_POST['website_prefix']))
			{
				/* refresh and display success message */
				$saved=true;
			}
		break;
	}
	if($saved)
	{
		/* refresh and display success message */
		redirect(add_query_arg('updated','true','admin.php?page=paged-traffic-settings'));
		die;
	}
}
?>
<div class="wrap sfwrapper">
    <div id="icon-options-general" class="icon32"><br/></div>
    <h2>Paged Traffic Settings</h2>
    <?php
	if(isset($_GET['updated']))
	{
	?>
	<div id="message" class="updated">
	  <p>
		Data saved successfully!!
	  </p>
	</div>
	<?php
	}
	?>
    <br />
    <div id="video-auto-pilot-settings" class="metabox-holder has-right-sidebar">
        <div id="side-info-column" class="inner-sidebar">
            <div id="side-sortables" class="meta-box-sortables">
                <div class="postbox">
                    <h3 class="hndle">
                    	<span>
                        	Bitly.com
                            <a style="float:right;padding-right: 14px;" href="javascript:testlogin('bitly.com')">Test Login</a>
                            <a style="float:right;padding-right: 14px;" href="http://bitly.com" target="_blank">Sign Up</a>
                    	</span>
                    </h3>
                    <div class="inside">
                    	<?php
						$details=$paged_traffic->getAccountDetails('bitly.com');
						?>
                    	<form enctype="multipart/form-data" method="post" action="">
                            <table width="100%">
                                <tbody>
                                    <tr>
                                        <td width="30%">Login:</td>
                                        <td width="70%">
                                            <input type="text" name="login"  value="<?php echo @$details['account_params']['login'] ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="30%">API key:</td>
                                        <td width="70%">
                                            <input type="text" name="api_key"  value="<?php echo @$details['account_params']['api_key'] ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="30%">&nbsp;</td>
                                        <td width="70%">
                                            <input type="hidden" name="account_name" value="bitly.com"  />
                                            <input type="hidden" name="account_type" value="bitly"  />
                                            <input type="submit" class="sfbutton orange medium" value="Save">
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </form>
                    </div> <!--- class='inside' ---> 
                </div> <!--- class='postbox ' ---> 
                <!-- Facebook 
                <div class="postbox">
                    <h3 class="hndle">
                    	<span>
                        	Facebook Application
                            <a style="float:right;padding-right: 14px;" href="https://developers.facebook.com/apps" target="_blank">Sign Up</a>
                    	</span>
                    </h3>
                    <div class="inside">
                    	<?php
						$details=$paged_traffic->getAccountDetails('facebook-application');
						?>
                    	<form enctype="multipart/form-data" method="post" action="">
                            <table width="100%">
                                <tbody>
                                    <tr>
                                        <td width="30%">App ID:</td>
                                        <td width="70%">
                                            <input type="text" name="app_id"  value="<?php echo @$details['account_params']['app_id'] ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="30%">App Secret:</td>
                                        <td width="70%">
                                            <input type="text" name="app_secret"  value="<?php echo @$details['account_params']['app_secret'] ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="30%">&nbsp;</td>
                                        <td width="70%">
                                            <input type="hidden" name="account_name" value="facebook-application"  />
                                            <input type="hidden" name="account_type" value="facebook-application"  />
                                            <input type="submit" class="sfbutton orange medium" value="Save">
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </form>
                    </div> <!--- class='inside'
                </div> <!--- class='postbox ' ---> 
				
                <!-- Feedagg -->
				<!--
                <div class="postbox">
                    <h3 class="hndle">
                    	<span>
                        	Feedagg
                            <a style="float:right;padding-right: 14px;" href="https://www.feedagg.com/" target="_blank">Sign Up</a>
                    	</span>
                    </h3>
                    <div class="inside">
                    	<?php
						$details=$paged_traffic->getAccountDetails('feedagg.com');
						?>
                    	<form enctype="multipart/form-data" method="post" action="">
                            <table width="100%">
                                <tbody>
                                    <tr>
                                        <td width="30%">User Name:</td>
                                        <td width="70%">
                                            <input type="text" name="user_name"  value="<?php echo @$details['account_params']['user_name']; ?>">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="30%">&nbsp;</td>
                                        <td width="70%">&nbsp;
                                            
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="30%">&nbsp;</td>
                                        <td width="70%">
                                            <input type="hidden" name="account_name" value="feedagg.com"  />
                                            <input type="hidden" name="account_type" value="feedagg"  />
                                            <input type="submit" class="sfbutton orange medium" value="Save">
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </form>
                    </div> 
                </div> <!--- class='postbox ' ---> 
			
                
            </div> <!---  class='meta-box-sortables' --->
        </div>
        <!--- class="inner-sidebar" --->
        <div id="post-body" class="has-sidebar">
            <div id="post-body-content" class="has-sidebar-content">
                <div id="normal-sortables" class="meta-box-sortables">
                	<!-- meta box facebook starts -->
                    <?php $details=$paged_traffic->getAccountDetails('facebook-account'); ?>
					
					<!--
                    <div class="postbox">
                        <h3 class="hndle">
                            <span>
                            Facebook
                            <a style="float:right;padding-right: 14px;" href="javascript:testlogin('facebook-account');">Test Login</a>
                            <a style="float:right;padding-right: 14px;" href="http://www.facebook.com/" target="_blank">Sign Up</a>
                            </span>
                        </h3>
                        <div class="inside">
                            <table width="100%">
                                <tbody>
                                    <tr>
                                        <td width="20%">Authorized User ID:</td>
                                        <td width="80%">
                                            <?php echo @$details['account_params']['user_id'] ?>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="20%">Authorized User Name:</td>
                                        <td width="80%">
                                            <?php echo @$details['account_params']['user_screen_name'] ?>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="20%">&nbsp;</td>
                                        <td width="80%">
                                            <p style="">
                                                <a class="sfbutton orange medium" href="<?php echo PAGED_TRAFFIC_PLUGIN_URL.'lib/facebook/facebook-authenticate.php?request-acess=1' ?>">Authorise Application</a>
                                            </p>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>  -->
                    <!-- meta box facebook ends -->
                    <!-- meta box twitter starts -->
                    <?php $details=$paged_traffic->getAccountDetails('twitter.com'); ?>
                    <div class="postbox">
                        <h3 class="hndle">
                            <span>
                            Twitter
                            <a style="float:right;padding-right: 14px;" href="javascript:testlogin('twitter.com');">Test Login</a>
                            <a style="float:right;padding-right: 14px;" href="htp://twitter.com" target="_blank">Sign Up</a>
                            </span>
                        </h3>
                        <div class="inside">
                            <table width="100%">
                                <tbody>
                                    <tr>
                                        <td width="20%">Authorized User ID:</td>
                                        <td width="80%">
                                            <?php echo @$details['account_params']['user_id'] ?>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="20%">Authorized User Name:</td>
                                        <td width="80%">
                                            <?php echo @$details['account_params']['user_screen_name'] ?>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="20%">&nbsp;</td>
                                        <td width="80%">
                                            <p style="">
                                                <a class="sfbutton orange medium" href="<?php echo PAGED_TRAFFIC_PLUGIN_URL.'lib/twitter/twitter-authenticate.php?request-acess=1' ?>">Authorise Application</a>
                                            </p>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <!-- meta box twitter ends -->
                    <!-- meta box twitter starts -->
                    <?php $details=$paged_traffic->getAccountDetails('linkedin.com'); ?>
                    <div class="postbox">
                        <h3 class="hndle">
                            <span>
                            LinkedIn
                            <a style="float:right;padding-right: 14px;" href="javascript:testlogin('linkedin.com');">Test Login</a>
                            <a style="float:right;padding-right: 14px;" href="htp://linkedin.com" target="_blank">Sign Up</a>
                            </span>
                        </h3>
                        <div class="inside">
                            <table width="100%">
                                <tbody>
                                    <tr>
                                        <td width="20%">Authorized User ID:</td>
                                        <td width="80%">
                                            <?php echo @$details['account_params']['user_id'] ?>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="20%">Authorized User Name:</td>
                                        <td width="80%">
                                            <?php echo @$details['account_params']['user_screen_name'] ?>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="20%">&nbsp;</td>
                                        <td width="80%">
                                            <p style="">
                                                <a class="sfbutton orange medium" href="<?php echo PAGED_TRAFFIC_PLUGIN_URL.'lib/linkedin/linkedin-authenticate.php?request-acess=1' ?>">Authorise Application</a>
                                            </p>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <!-- meta box linkedin ends -->
                    <!-- meta box friendfeed starts -->
                    <?php $details=$paged_traffic->getAccountDetails('friendfeed.com'); ?>
                    <div class="postbox">
                        <h3 class="hndle">
                            <span>
                            Friend Feed
                            <a style="float:right;padding-right: 14px;" href="javascript:testlogin('friendfeed.com');">Test Login</a>
                            <a style="float:right;padding-right: 14px;" href="https://friendfeed.com/account/create?formonly=1" target="_blank">Sign Up</a>
                            </span>
                        </h3>
                        <div class="inside">
                        	<form enctype="multipart/form-data" method="post" action="">
                                <table width="100%">
                                    <tbody>
                                        <tr>
                                            <td width="20%">Username:</td>
                                            <td width="80%">
                                                <input type="text" name="username"  value="<?php echo @$details['account_params']['username'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">Remote Key:</td>
                                            <td width="80%">
                                                <input type="text" name="remote_key"  value="<?php echo @$details['account_params']['remote_key'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">&nbsp;</td>
                                            <td width="80%">
                                                <input type="hidden" name="account_name" value="friendfeed.com"  />
                                                <input type="hidden" name="account_type" value="friendfeed"  />
                                                <input type="submit" class="sfbutton orange medium" value="Save">
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                    <!-- meta box friendfeed ends -->
                    <!-- meta box wordpress starts -->
                    <?php $details=$paged_traffic->getAccountDetails('wordpress.com'); ?>
                    <div class="postbox">
                        <h3 class="hndle">
                            <span>
                            Wordpress
                            <a style="float:right;padding-right: 14px;" href="javascript:testlogin('wordpress.com');">Test Login</a>
                            <a style="float:right;padding-right: 14px;" href="http://en.wordpress.com/signup/" target="_blank">Sign Up</a>
                            </span>
                        </h3>
                        <div class="inside">
                        	<form enctype="multipart/form-data" method="post" action="">
                                <table width="100%">
                                    <tbody>
                                        <tr>
                                            <td width="20%">Username:</td>
                                            <td width="80%">
                                                <input type="text" name="username"  value="<?php echo @$details['account_params']['username'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">Password:</td>
                                            <td width="80%">
                                                <input type="text" name="password"  value="<?php echo @$details['account_params']['password'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">Blog Prefix:</td>
                                            <td width="80%">
                                                <input type="text" name="blog_prefix"  value="<?php echo @$details['account_params']['blog_prefix'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">&nbsp;</td>
                                            <td width="80%">
                                                <input type="hidden" name="account_name" value="wordpress.com"  />
                                                <input type="hidden" name="account_type" value="wordpress"  />
                                                <input type="submit" class="sfbutton orange medium" value="Save">
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                    <!-- meta box wordpress ends -->
                    <!-- meta box blog.com starts -->
                    <?php $details=$paged_traffic->getAccountDetails('blog.com'); ?>
                    <div class="postbox">
                        <h3 class="hndle">
                            <span>
                            Blog.com
                            <a style="float:right;padding-right: 14px;" href="javascript:testlogin('blog.com');">Test Login</a>
                            <a style="float:right;padding-right: 14px;" href="http://www.blog.com/" target="_blank">Sign Up</a>
                            </span>
                        </h3>
                        <div class="inside">
                        	<form enctype="multipart/form-data" method="post" action="">
                                <table width="100%">
                                    <tbody>
                                        <tr>
                                            <td width="20%">Username:</td>
                                            <td width="80%">
                                                <input type="text" name="username"  value="<?php echo @$details['account_params']['username'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">Password:</td>
                                            <td width="80%">
                                                <input type="text" name="password"  value="<?php echo @$details['account_params']['password'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">Blog Prefix:</td>
                                            <td width="80%">
                                                <input type="text" name="blog_prefix"  value="<?php echo @$details['account_params']['blog_prefix'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">&nbsp;</td>
                                            <td width="80%">
                                                <input type="hidden" name="account_name" value="blog.com"  />
                                                <input type="hidden" name="account_type" value="blog"  />
                                                <input type="submit" class="sfbutton orange medium" value="Save">
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                    <!-- meta box blog.com ends -->
                    <!-- meta box plurk starts -->
                    <?php $details=$paged_traffic->getAccountDetails('plurk.com'); ?>
                    <div class="postbox">
                        <h3 class="hndle">
                            <span>
                            Plurk
                            <a style="float:right;padding-right: 14px;" href="javascript:testlogin('plurk.com');">Test Login</a>
                            <a style="float:right;padding-right: 14px;" href="http://www.plurk.com/Users/showRegister" target="_blank">Sign Up</a>
                            </span>
                        </h3>
                        <div class="inside">
                        	<form enctype="multipart/form-data" method="post" action="">
                                <table width="100%">
                                    <tbody>
                                        <tr>
                                            <td width="20%">Username:</td>
                                            <td width="80%">
                                                <input type="text" name="username"  value="<?php echo @$details['account_params']['username'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">Password:</td>
                                            <td width="80%">
                                                <input type="text" name="password"  value="<?php echo @$details['account_params']['password'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">&nbsp;</td>
                                            <td width="80%">
                                                <input type="hidden" name="account_name" value="plurk.com"  />
                                                <input type="hidden" name="account_type" value="plurk"  />
                                                <input type="submit" class="sfbutton orange medium" value="Save">
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                    <!-- meta box plurk ends -->
                    <?php /* ?>
                    <!-- meta box blogger starts -->
                    <?php $details=$paged_traffic->getAccountDetails('blogger.com'); ?>
                    <div class="postbox">
                        <h3 class="hndle">
                            <span>
                            Blogger
                            <a style="float:right;padding-right: 14px;" href="javascript:testlogin('blogger.com');">Test Login</a>
                            <a style="float:right;padding-right: 14px;" href="https://www.blogger.com/signup.g" target="_blank">Sign Up</a>
                            </span>
                        </h3>
                        <div class="inside">
                        	<form enctype="multipart/form-data" method="post" action="">
                                <table width="100%">
                                    <tbody>
                                        <tr>
                                            <td width="20%">User Email:</td>
                                            <td width="80%">
                                                <input type="text" name="user_email"  value="<?php echo @$details['account_params']['user_email'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">Password:</td>
                                            <td width="80%">
                                                <input type="text" name="password"  value="<?php echo @$details['account_params']['password'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">Blog Id:</td>
                                            <td width="80%">
                                                <input type="text" name="blog_id"  value="<?php echo @$details['account_params']['blog_id'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">&nbsp;</td>
                                            <td width="80%">
                                                <input type="hidden" name="account_name" value="blogger.com"  />
                                                <input type="hidden" name="account_type" value="blogger"  />
                                                <input type="submit" class="sfbutton orange medium" value="Save">
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                    <!-- meta box blogger ends -->
					<?php */ ?>
                    <?php
					/*
                    <!-- meta box typepad starts -->
                    <?php $details=$paged_traffic->getAccountDetails('typepad.com'); ?>
                    <div class="postbox">
                        <h3 class="hndle">
                            <span>
                            TypePad
                            <a style="float:right;padding-right: 14px;" href="javascript:testlogin('typepad.com');">Test Login</a>
                            <a style="float:right;padding-right: 14px;" href="https://www.typepad.com/secure/services/signin?register=1" target="_blank">Sign Up</a>
                            </span>
                        </h3>
                        <div class="inside">
                        	<form enctype="multipart/form-data" method="post" action="">
                                <table width="100%">
                                    <tbody>
                                        <tr>
                                            <td width="20%">User Email:</td>
                                            <td width="80%">
                                                <input type="text" name="user_email"  value="<?php echo @$details['account_params']['user_email'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">Password:</td>
                                            <td width="80%">
                                                <input type="text" name="password"  value="<?php echo @$details['account_params']['password'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">Blog Id:</td>
                                            <td width="80%">
                                                <input type="text" name="blog_id"  value="<?php echo @$details['account_params']['blog_id'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">&nbsp;</td>
                                            <td width="80%">
                                                <input type="hidden" name="account_name" value="typepad.com"  />
                                                <input type="hidden" name="account_type" value="typepad"  />
                                                <input type="submit" class="sfbutton orange medium" value="Save">
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                    <!-- meta box typepad ends -->
					*/
					?>
                    <!-- meta box livejournal starts -->
                    <?php $details=$paged_traffic->getAccountDetails('livejournal.com'); ?>
                    <div class="postbox">
                        <h3 class="hndle">
                            <span>
                            Live Journal
                            <a style="float:right;padding-right: 14px;" href="javascript:testlogin('livejournal.com');">Test Login</a>
                            <a style="float:right;padding-right: 14px;" href="https://www.livejournal.com/create.bml" target="_blank">Sign Up</a>
                            </span>
                        </h3>
                        <div class="inside">
                        	<form enctype="multipart/form-data" method="post" action="">
                                <table width="100%">
                                    <tbody>
                                        <tr>
                                            <td width="20%">Username:</td>
                                            <td width="80%">
                                                <input type="text" name="username"  value="<?php echo @$details['account_params']['username'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">Password:</td>
                                            <td width="80%">
                                                <input type="text" name="password"  value="<?php echo @$details['account_params']['password'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">&nbsp;</td>
                                            <td width="80%">
                                                <input type="hidden" name="account_name" value="livejournal.com"  />
                                                <input type="hidden" name="account_type" value="livejournal"  />
                                                <input type="submit" class="sfbutton orange medium" value="Save">
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                    <!-- meta box livejournal ends -->
                    <!-- meta box delicious starts 
                    <?php $details=$paged_traffic->getAccountDetails('delicious.com'); ?>
                    <div class="postbox">
                        <h3 class="hndle">
                            <span>
                            Delicious
                            <a style="float:right;padding-right: 14px;" href="javascript:testlogin('delicious.com');">Test Login</a>
                            <a style="float:right;padding-right: 14px;" href="https://www.delicious.com/register" target="_blank">Sign Up</a>
                            </span>
                        </h3>
                        <div class="inside">
                        	<form enctype="multipart/form-data" method="post" action="">
                                <table width="100%">
                                    <tbody>
                                        <tr>
                                            <td width="20%">Username:</td>
                                            <td width="80%">
                                                <input type="text" name="username"  value="<?php echo @$details['account_params']['username'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">Password:</td>
                                            <td width="80%">
                                                <input type="text" name="password"  value="<?php echo @$details['account_params']['password'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">&nbsp;</td>
                                            <td width="80%">
                                                <input type="hidden" name="account_name" value="delicious.com"  />
                                                <input type="hidden" name="account_type" value="delicious"  />
                                                <input type="submit" class="sfbutton orange medium" value="Save">
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                    meta box delicious ends -->
                    <!-- meta box delicious starts -->
					
                    <?php $details=$paged_traffic->getAccountDetails('posterous.com'); ?>
                    <div class="postbox">
                        <h3 class="hndle">
                            <span>
                            Posterous
                            <a style="float:right;padding-right: 14px;" href="javascript:testlogin('posterous.com');">Test Login</a>
                            <a style="float:right;padding-right: 14px;" href="https://posterous.com/register" target="_blank">Sign Up</a>
                            </span>
                        </h3>
                        <div class="inside">
                        	<form enctype="multipart/form-data" method="post" action="">
                                <table width="100%">
                                    <tbody>
                                        <tr>
                                            <td width="20%">Username:</td>
                                            <td width="80%">
                                                <input type="text" name="user_email"  value="<?php echo @$details['account_params']['user_email'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">Password:</td>
                                            <td width="80%">
                                                <input type="text" name="password"  value="<?php echo @$details['account_params']['password'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">Website Prefix:</td>
                                            <td width="80%">
                                                <input type="text" name="website_prefix"  value="<?php echo @$details['account_params']['website_prefix'] ?>">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="20%">&nbsp;</td>
                                            <td width="80%">
                                                <input type="hidden" name="account_name" value="posterous.com"  />
                                                <input type="hidden" name="account_type" value="posterous"  />
                                                <input type="submit" class="sfbutton orange medium" value="Save">
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                    <!-- meta box posterous ends -->
                    <?php
                        /* Render all statusnet accounts */
                        if(count($statusnet_accounts)>0)
                        {
                            foreach($statusnet_accounts as $account)
                            {
								$details=$paged_traffic->getAccountDetails($account['account-name']);
                                ?>
                                <!-- meta box starts -->
                                <div class="postbox">
                                    <h3 class="hndle">
                                        <span>
                                        <?php echo ucfirst($account['account-name']); ?>
                                        <a style="float:right;padding-right: 14px;" href="javascript:testlogin('<?php echo $account['account-name']; ?>');">Test Login</a>
                                        <a style="float:right;padding-right: 14px;" href="<?php echo $account['signup-url']; ?>" target="_blank">Sign Up</a>
                                        </span>
                                    </h3>
                                    <div class="inside">
                                        <form enctype="multipart/form-data" method="post" action="">
                                            <table width="100%">
                                                <tbody>
                                                    <tr>
                                                        <td width="20%">Username:</td>
                                                        <td width="80%">
                                                            <input type="text" name="username"  value="<?php echo @$details['account_params']['username'] ?>">
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td width="20%">Password:</td>
                                                        <td width="80%">
                                                            <input type="text" name="password"  value="<?php echo @$details['account_params']['password'] ?>">
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td width="20%">&nbsp;</td>
                                                        <td width="80%">
                                                            <input type="hidden" name="account_name" value="<?php echo $account['account-name']; ?>"  />
                                                            <input type="hidden" name="account_type" value="statusnet"  />
                                                            <input type="submit" class="sfbutton orange medium" value="Save">
                                                        </td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </form>
                                    </div>
                                </div>
                                <!-- meta box ends -->
                                <?php
                            }
                        }
                    ?>
                </div>
                <!--- class='meta-box-sortables' --->
            </div>
            <!--- class="has-sidebar-content" --->
        </div>
        <!--- class="has-sidebar" --->
        <br class="clear" />
    </div>
    <!--- class="metabox-holder" --->
</div>
<!-- class="wrap" -->
<div class="sf_loader" style="display:none;">
</div>
<script language="javascript">
	function testlogin(account_name)
	{
		jQuery('.sf_loader').show();
		jQuery.ajax({
		   type: "POST",
		   url: "<?php echo PAGED_TRAFFIC_PLUGIN_URL; ?>ajax/test_login.php",
		   data: "account-name="+account_name,
		   success: function(msg){
			 jQuery('.sf_loader').hide();
			 //alert(msg);
			 if(msg=='SUCCESS')
			 {
				 alert('Login Succeeded');
			 }
			 else
			 {
				 alert('Login Failed');
			 }
		   }
		});
	}
</script>
