<?php
include_once('../lib/config.php');

$viral_control  =	new ViralControl();
$details	=	$viral_control->getAccountDetails($_POST['account-name']);

$status	 =	'FAILURE';

switch($details['account_type'])
{
	case 'facebook-account':
		try
		{
			$facebook = new Facebook(array(  
				'appId'  => viral_control_facebook_app_id,  
				'secret' => viral_control_facebook_secret,  
				'cookie' => true  
			));
			$facebook->setAccessToken($details['account_params']['access_token']);
			$user = $facebook->getUser();
			if($user)
			{
				$status	= 'SUCCESS';
			}
		}
		catch(Exception $ex)
		{
			
		}
	break;
	case 'twitter-account':
		try
		{
			$twitter = new TwitterOAuth(viral_control_twitter_consumer_key, viral_control_twitter_consumer_secret, $details['account_params']['access_token'], $details['account_params']['access_secret']);
			$user_info = $twitter->get('account/verify_credentials');
			if(!isset($user_info->error))
			{
				$status	= 'SUCCESS';
			}
		}
		catch(Exception $ex)
		{
			
		}
	break;
	case 'gplus-account':
		try
		{
			$gplus_details = $details;
			require_once '../lib/google/src/Google_Client.php';
			require_once '../lib/google/src/contrib/Google_PlusService.php';
			//require_once '../lib/google/src/contrib/Google_Oauth2Service.php';
			
			$gplus_access_token = $gplus_details['account_params']['access_token'];
			
			$client = new Google_Client();
			$client->setClientId(viral_control_gplus_app_id);
			$client->setClientSecret(viral_control_gplus_secret);
			$client->setAccessToken($gplus_access_token);
			//$oauth2 = new Google_Oauth2Service($client);
			//$user = $oauth2->userinfo->get();			

			$plus = new Google_PlusService($client);
			$user = $plus->people->get('me');			
			
			if(!empty($user))
			{
				$status	= 'SUCCESS';
			}
		
		}
		catch(Exception $ex)
		{
			
		}
	break;
}
echo $status;
die;