﻿(function() {
// Creates a new plugin class and a custom listbox
tinymce.create('tinymce.plugins.paged_social_lockdown_styles', {
    createControl: function(n, cm) {
        switch (n) {
            case 'paged_social_lockdownslb':
                var paged_social_lockdowns = cm.createListBox('paged_social_lockdownslb', {
                     title : 'Image Styles',
                     onselect : function(v) {
                         tinyMCE.activeEditor.formatter.remove('blackdiamond'); 
                         tinyMCE.activeEditor.formatter.remove('whitediamond'); 
                         tinyMCE.activeEditor.formatter.remove('blackoverlay'); 
                         tinyMCE.activeEditor.formatter.remove('whiteoverlay'); 
                         tinyMCE.activeEditor.formatter.remove('gradientdark'); 
                         tinyMCE.activeEditor.formatter.remove('gradientskyblue'); 
                         tinyMCE.activeEditor.formatter.remove('gradientblue'); 
                         tinyMCE.activeEditor.formatter.remove('gradientgreen');
                         tinyMCE.activeEditor.formatter.apply(v);
                     }
                });

                // Add some values to the list box
                paged_social_lockdowns.add('Black Diamond', 'blackdiamond');
                paged_social_lockdowns.add('White Diamond	', 'whitediamond');
                paged_social_lockdowns.add('Dark Overlay', 'blackoverlay');
                paged_social_lockdowns.add('White Overlay', 'whiteoverlay');
                paged_social_lockdowns.add('Dark Gradient', 'gradientdark');
                paged_social_lockdowns.add('Sky Blue Gradient', 'gradientskyblue');
                paged_social_lockdowns.add('Blue Gradient', 'gradientblue');
                paged_social_lockdowns.add('Green Gradient', 'gradientgreen');


                // Return the new listbox instance
                return paged_social_lockdowns;
        }

        return null;
    }
});

// Register plugin with a short name
tinymce.PluginManager.add('paged_social_lockdownslb', tinymce.plugins.paged_social_lockdown_styles);
})();