﻿(function() {
// Creates a new plugin class and a custom listbox
tinymce.create('tinymce.plugins.paged_social_lockdown_styles2', {
    createControl: function(n, cm) {
        switch (n) {
            case 'paged_social_lockdownslb2':
                var paged_social_lockdowns2 = cm.createListBox('paged_social_lockdownslb2', {
                     title : 'Video Styles',
                     onselect : function(v) {
                         tinyMCE.activeEditor.formatter.remove('blackdiamondv'); 
                         tinyMCE.activeEditor.formatter.remove('whitediamondv'); 
                         tinyMCE.activeEditor.formatter.remove('blackoverlayv'); 
                         tinyMCE.activeEditor.formatter.remove('whiteoverlayv'); 
                         tinyMCE.activeEditor.formatter.remove('gradientdarkv'); 
                         tinyMCE.activeEditor.formatter.remove('gradientskybluev'); 
                         tinyMCE.activeEditor.formatter.remove('gradientbluev'); 
                         tinyMCE.activeEditor.formatter.remove('gradientgreenv');
                         tinyMCE.activeEditor.formatter.apply(v);
                     }
                });

                // Add some values to the list box
                paged_social_lockdowns2.add('Black Diamond', 'blackdiamondv');
                paged_social_lockdowns2.add('White Diamond', 'whitediamondv');
                paged_social_lockdowns2.add('Dark Overlay', 'blackoverlayv');
                paged_social_lockdowns2.add('White Overlay', 'whiteoverlayv');
                paged_social_lockdowns2.add('Dark Gradient', 'gradientdarkv');
                paged_social_lockdowns2.add('Sky Blue Gradient', 'gradientskybluev');
                paged_social_lockdowns2.add('Blue Gradient', 'gradientbluev');
                paged_social_lockdowns2.add('Green Gradient', 'gradientgreenv');


                // Return the new listbox instance
                return paged_social_lockdowns2;
        }

        return null;
    }
});

// Register plugin with a short name
tinymce.PluginManager.add('paged_social_lockdownslb2', tinymce.plugins.paged_social_lockdown_styles2);
})();