<?php
require_once('../../lib/config.php');

session_start();

if(isset($_GET['request-acess']))
{
	
	$twitteroauth = new TwitterOAuth(viral_control_twitter_consumer_key, viral_control_twitter_consumer_secret);
	
	$request_token = $twitteroauth->getRequestToken(VIRAL_CONTROL_CONTENT_LOCK_URL.'lib/twitter/twitter-authenticate.php?processed=1');
	//print_r($request_token);
	$_SESSION['oauth_token'] = $request_token['oauth_token'];  
	$_SESSION['oauth_token_secret'] = $request_token['oauth_token_secret']; 

	if($twitteroauth->http_code==200)
	{  
		// Let's generate the URL and redirect  
		$url = $twitteroauth->getAuthorizeURL($request_token['oauth_token']); 
		//print_r($url);
		//redirect($url);
		header('Location:'. $url); 
	}
	else
	{
		// It's a bad idea to kill the script, but we've got to know when there's an error.  
		die('Something wrong happened.');  
	}  
}
else if(isset($_GET['processed']))
{
	if(!empty($_GET['oauth_verifier']) && !empty($_SESSION['oauth_token']) && !empty($_SESSION['oauth_token_secret']))
	{
		
    	// We've got everything we need
		// TwitterOAuth instance, with two new parameters we got in twitter_login.php  
		$twitteroauth = new TwitterOAuth(viral_control_twitter_consumer_key, viral_control_twitter_consumer_secret,$_SESSION['oauth_token'], $_SESSION['oauth_token_secret']);  
		// Let's request the access token  
		$access_token = $twitteroauth->getAccessToken($_GET['oauth_verifier']); 
		// Save it in a session var 
		$_SESSION['access_token'] = $access_token; 
		// Let's get the user's info 
		$user_info = $twitteroauth->get('account/verify_credentials'); 
		// Print user's info  
		//print_r($user_info);
		if(isset($user_info->error))
		{  
			// Something's wrong, go back to square 1  
			header('Location:'.get_option( 'siteurl' ) . '/wp-admin/admin.php?page=social-curator-settings&twitter-error=1');
		}
		else 
		{ 
			
			// Let's find the user by its ID  
			//$user_info_array=array('user_id'=>$user_info->id, 'user_screen_name'=>$user_info->screen_name, 'access_token'=>$access_token['oauth_token'], 'access_secret'=>$access_token['oauth_token_secret']);
			
			$viral_control	=	new ViralControl();
			
			$viral_control->saveTwitterAccountDetails('twitter.com', $user_info->id, $user_info->screen_name,$access_token['oauth_token'],$access_token['oauth_token_secret']);  
			
			
			header('Location:'.get_option( 'siteurl' ) . '/wp-admin/admin.php?page=social-curator-settings&updated=true&twitter-success=1'); 
		}
	}
	else
	{
		// Something's missing, go back to square 1  
		header('Location:'.get_option( 'siteurl' ) . '/wp-admin/admin.php?page=social-curator-settings&twitter-error=1');
	}
}
?>